(function(m, $, doc, win){
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	
	function HelpCenter() {
		this.init.apply(this, arguments);
	}
	
	HelpCenter.prototype = {
		init: function(el, option){
			this.el = $(el);
			this.firstList = [];
			this.options = {};
			
			this.update(option);
		},
		update: function(option){
			this.options = $.extend(this.options, option);
		},
		createPage: function(){
			var _this = this;
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'helpCenterSelectFirst.do',
				data: data,
				processResponse: function(res){
					$('#list').empty();
					
					if(res.hcctListFirst.length > 0){
						$.each(res.hcctListFirst, function(k, v){
							_this.firstList.push(v);
						})
					}
					 
					_this.createHtm(_this.firstList);
				}
			});
		},
		createHtm: function(list){
			var _this = this;
			var htm = '' ;
			
			$.each(list, function(k, v){
				htm += '<div class="list-item list-item-fluid" data-code=\"'+v.hcctId+'\">';
				htm +=		'<div class="table table-e">';
				htm +=			'<div class="table-header">';
				htm +=				'<div class="table-header-card">'
				htm +=					'<a href="javascript:void(0)" class="table-header-btn">';
				htm +=						v.hcctName;
				htm +=					'</a>';
				htm +=				'</div>';
				htm +=			'</div>' ;
				htm +=			'<div class="table-group" >';
				htm +=				'<div class="table-content"></div>';
				htm +=				'<div class="table-collapse-content"></div>';
				htm +=			'</div>';
				htm +=		'</div>';
				htm +=	'</div>';
			});
			
			$('#list').append(htm);
			
			$('#list').find('.list-item').each(function(){
				var id = $(this).data('code');
				
				_this.fillHtm2($(this), id);
			})
		},
		fillHtm2: function(el, id){
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				hcctId: id
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'helpCenterSelectSecond.do',
				data: data,
				processResponse: function(res){
					var htm  = '';
					var htm2 = '';
					if(res.hcctListSecond.length > 1){
						$.each(res.hcctListSecond, function(k, v){
							if(k < 3){
								htm += '<div class="table-item"><a href=\"javascript:void(0)\" class=\"table-btn-link\" data-code=\"' + v.hcctId + '\">' + v.hcctName + '</a></div>';
							}else{
								htm2 += '<div class="table-item"><a href=\"javascript:void(0)\" class=\"table-btn-link\" data-code=\"' + v.hcctId + '\">' + v.hcctName + '</a></div>';
							}
						});
					} else if(res.hcctListSecond.length == 1) {
						htm += '<div class="table-item table-item-fluid"><a href=\"javascript:void(0)\" class=\"table-btn-link\" data-code=\"' + res.hcctListSecond[0].hcctId + '\">' + res.hcctListSecond[0].hcctName + '</a></div>';
					} else{
					}
					
					el.find('.table-content').append(htm);
						
					el.find('.table-collapse-content').append(htm2);
					
					if(res.hcctListSecond.length >= 3){
						el.find('.table').addClass('collapse');
					}else if(res.hcctListSecond.length == 1){
						el.find('.table').addClass('only');
					}
				}
			});
		},
		openWin: function(data){
			$.bs.openWindowByLoad(
				"helpItem.html",
				"helpItem",
				"pop-in",
				data
			);
		}
	}
	
	function _ready(){
		var ws = '';
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}else{
			ws = {};
		}
		
		var helper = new HelpCenter('#helpCenter', {});
		
		helper.createPage();
		
		$('#list').on('tap', '.table-btn-link', function(e){
			e.preventDefault();
			
			var data = {
				code: $(this).data('code'),
				tit: $(this).text()
			}
			
			helper.openWin(data);
		});
		
		
		$('#list').on('tap', '.table-header-btn', function(e){
			e.preventDefault();
			
			if($(this).closest('.table').hasClass('collapse')){
				if($(this).closest('.table').hasClass('active')){
					$(this).closest('.table').removeClass('active');
				}else{
					$(this).closest('.table').addClass('active');
				}
			}
		})
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)