(function($, m){
	//闭包自执行
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function isRegistered(options){
		var data = {
			'phone': options.val,
			'branchId':'601000',
			"memberUUID": plus.storage.getItem("memberUUID"),
			"APP_UUID": plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.emallUrl+'FrontMemberInfo_checkIsAppSamePhone',
			data: data,
			processResponse: function(res){
				if(res.errorCode == '000000' ){
					mui.alert('用户名不存在');
					return;
				}else if(res.errorCode == '000002'){
					plus.storage.setItem('certNo', res.certNo);
					
					$('#cerNoBox').removeClass('mui-hidden')
				}else if(res.errorCode == '000003'){
					mui.alert("用户已被永久锁定,请本人持身份证到山西农信任意网点办理解锁","温馨提示");
					return;
				}else{
					plus.storage.removeItem('certNo');
					$('#cerNoBox').addClass('mui-hidden')
				}
				
				options.func(res)
			}
		});
	}
	
	function sendSMSCode(options){
		$('#sendSMSBtn').countdown('start');
		
		var data = {
			"mobileNo": options.val,
			"tranCode": "NP101020",
			"messageType": "forgetResetLoginPwd",
			"memberUUID": plus.storage.getItem("memberUUID"),
			"APP_UUID": plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.netPayUrl+'sendSmsCode.do',
			data: data,
			processResponse: function(res){
				
			},
			selfdefineFailed: function() {
				//$('#sendSMSBtn').countdown('end');
			}
		});
	}
	
	function sendData(){
		var data = {
			'phone': $('#phone').val(),
			'mobilePhoneCode': $('#SMSCode').val(),//验证码
			'branchId':'601000'
		};
		
		data.password = $('#forget_password').attr('pass');
		
		$.bs.ajax({
			url: ut.emallUrl+"FrontMemberInfo_resetAppPassword",
			data: data,
			processResponse: function(res){
				if(res.errorCode=='000001'){
					plus.storage.setItem('phone',data.phone);
					mui.alert("重置密码成功");
					
					$.bs.openWindowByLoad(
						"suc_pwd.html",
						"suc_pwd",
						"pop-in", {
					});
				}else if(res.errorCode=='15'){
					mui.alert("短信验证码不正确，请核对信息");
				}else{
					mui.alert("密码修改失败，请核对信息");
				}
			}
		});			
	}
	
	function _ready(){
		$('#phone').validator();
		$('#SMSCode').validator();
		$('#cerNo').validator();
		
		var srandNumber = localStorage.srandNumber;
		
		$('.pwKeyboard').pwKeyboard({
			srandNumber: srandNumber,
			isNumber: 'false',
			maxLength: 20,
			regEx: "^(?![0-9]+$)(?![a-zA-Z]+$)(?![^A-Za-z0-9]+$)[\\S]{6,20}"
		});
		
		$('#sendSMSBtn').on('tap', function(){
			if(!$('#phone').data('bs.validator').check().passed){
				return false;
			}
			
			var val = $.trim($('#phone').val());
			
			isRegistered({
				'val': val,
				'func': function(){
					 sendSMSCode({
					 	'val': val
					 })
				}
			});
		});
		
		$('#sendDataBtn').on('tap', function(){
			if(!$('#phone').data('bs.validator').check().passed){
				return ;
			}
			
			if(!$('#SMSCode').data('bs.validator').check().passed){
				return ;
			}
			
			if(plus.storage.getItem('certNo') && !$('#cerNo').data('bs.validator').check().passed){
				return ;
			}
			
			if(plus.storage.getItem('certNo') && plus.storage.getItem('certNo') != $('#cerNo').val()){
				mui.alert("与绑定身份信息不一致，请检查输入");
				return ;
			}
			
			var kb1 = plus.pluginPGKeyboard.checkMatch('Pwd');//密码的正则
			var kb2 = plus.pluginPGKeyboard.checkMatch('confirmPwd');//确认密码的正则
			var kb1Md5 = $('#forget_password').attr('md5');//密码的MD5值
			var kb2Md5 = $('#forget_password1').attr('md5');//确认密码的MD5值
			
			if(!kb1 || !kb1Md5){
				mui.alert("请输入6-20位字母和数字组合");
				return ;
			}
		
			if(!kb2 || !kb2Md5){
				mui.alert("请输入6-20位字母和数字组合");
				return ;
			}
				
			if(kb1Md5 != kb2Md5){
				mui.alert("两次输入不一致，请重新检查");
				return ;
			}
			
			sendData();
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(jQuery, mui));