(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function Inform(){
		this.init.apply(this, arguments);
	}
	
	Inform.prototype = {
		init: function(el, options){
			this.options = {
				list: [],
				beginPos: 1,
				pageNum: 10,
				totalNum: '99',
				tranTypeList: [
					{
						num: '01',
						ch: '消费通知'
					},
					{
						num: '02',
						ch: '通行通知'
					},
					{
						num: '03',
						ch: '请假通知'
					},
					{
						num: '04',
						ch: '布置家庭作业通知'
					},
					{
						num: '05',
						ch: '缴费通知'
					},
					{
						num: '06',
						ch: '家校通知'
					},
					{
						num: '07',
						ch: '学习成绩通知'
					},
					{
						num: '08',
						ch: '老师批评通知'
					},
					{
						num: '09',
						ch: '充值通知'
					}
				]
			} ;
			this.update(options) ;
		},
		update: function(options){
			this.options = $.extend(this.options, options);
		},
		createPage: function(beginPos, showNum, callback){
			var _this = this;
			var data = {
				turnPageBeginPos: beginPos,
				turnPageShowNum: showNum,
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'queryPushInfo.do',
				data: data,
				processResponse: function(res){
					if(!res.pushInfoList || res.pushInfoList.length == 0){
						callback.call(_this, res) ;
						return 
					}
					
					$.each(res.pushInfoList, function(k, v){
						v.pushTime = $.bs.format.numToDate(v.time, 'yyyy-MM-dd hh:mm:ss');
						v.time = $.bs.format.numToDate(v.time, 'yyyy.MM.dd');
							
						v.tranTypeText = '';
						$.each(_this.options.tranTypeList, function(_k, _v){
							if(v.tranType == _v.num ){
								v.tranTypeText = _v.ch;
							}
						});
						
						_this.options.list.push(v)
					});
					
					_this.createHtml(_this.options.list);
					
					callback.call(_this, res) ;
				}
			});
		},
		createHtml: function(list){
			var html = '';
			
			$.each(list, function(k, v){
				html += 	'<div class="list-item">';
				html +=			'<div class="list-item-content">';
				html +=				'<div class="list-item-header">';
				html +=					v.time ;
				html +=				'</div>' ;
				html +=				'<div class="list-item-body">' ;
				html +=					'<div class="panel panel-q">' ;
				html +=						'<div class="panel-content">' ;
				html +=							'<div class="panel-header">' ;
				html +=								'<a href="javascript:void(0)" data-url="'+ v.callbackUrl +'" class="detailsBtn panel-header-arrows" data-json=\'' + JSON.stringify(v) + '\'>' ;
				html +=									'<div class="panel-header-right text-gray">' ;
				html +=										'查看详情' ;
				html +=									'</div>' ;
				html +=									'<div class="panel-header-left">' ;
				html +=										v.shopName + '通知';
				html +=									'</div>' ;
				html +=								'</a>' ;
				html +=							'</div>' ;
				
											if (v.Amt != null) {
				html +=							'<div class="panel-body text-gold">' ;
				html +=								'￥' + v.Amt ;
				html +=							'</div>';									
											} else {
													
											}
				
				
				html +=							'<div class="panel-footer">' ;
				html +=								'<div class="list">' ;
				html +=									'<div class="list-col">' ;
				html +=										'<span class="list-col-header">' ;
				html +=											'消息类型' ;
				html +=										'</span>' ;
				html +=										'<div class="list-col-body text-gray">' ;
				html +=											v.tranTypeText;
				html +=										'</div>';
				html +=									'</div>';
				html +=									'<div class="list-col">';
				html +=										'<span class="list-col-header">';
				html +=											'消息内容' ;
				html +=										'</span>' ;
				html +=										'<div class="list-col-body text-gray"> ' ;
				html +=											v.tranContent ; 
				html +=										'</div>' ;
				html +=									'</div>' ;
				html +=									'<div class="list-col">' ;
				html +=										'<span class="list-col-header">' ;
				html +=											'消息时间' ;
				html +=										'</span>' ;
				html +=										'<div class="list-col-body text-gray">' ;
				html +=											v.pushTime ; 
				html +=										'</div>' ;
				html +=									'</div>' ;
				html +=								'</div>' ;
				html +=							'</div>' ;
				html +=						'</div>' ;
				html +=					'</div>' ;
				html +=				'</div>' ;
				html +=			'</div>' ;
				html +=		'</div>' ;
			});
			
			$('#list').append(html);
		}
	}
	
	function _ready(){
		var ws = {};
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		var inform = new Inform('#inform', {});
		
		var pullToRefresh;
		
		var deceleration = mui.os.ios?0.003:0.0009;
		
		mui('.mui-scroll-wrapper').scroll({
			bounce:false,
			indicators:false, //是否显示滚动条
			deceleration:deceleration
		});
		
		var options={
			up: {
				callback: function() {
					var _this = this;
					setTimeout(function() {
						var beginPos =inform.options.beginPos;
						var pageNum =inform.options.pageNum;
						
						if(inform.options.beginPos >= inform.options.totalNum){
							_this.endPullUpToRefresh();
							$('.mui-pull-loading').text('没有更多数据了');
						}else{
							inform.createPage(beginPos, pageNum, function(res){
								if(res.turnPageTotalNum == '0' || res.turnPageTotalNum.length == 0){
									_this.endPullUpToRefresh();
									$('.mui-pull-loading').text('没有更多数据了');
								}else{
									inform.options.beginPos = Number(inform.options.beginPos) + Number(inform.options.pageNum);
									inform.options.totalNum = res.turnPageTotalNum;
									_this.endPullUpToRefresh();
								}
							});
						}
					},1000);
				}
			}
		}
	
		pullToRefresh=mui('#pullrefresh').pullToRefresh(options);
		
		pullToRefresh.pullUpLoading();
		
		$('#list').on('tap', '.detailsBtn', function(){
			var _json = $(this).data('json') || '' ;
			var _url = $(this).data('url') || '' ;
			
			if(_url){
				mui.openWindow({
					url: "../mine/eSchool.html",
					id: "eSchool",
					extras: {
						targetUrl: _url
					}
				});
				
				return ;
			}
			
			$.bs.openWindowByLoad(
				"tradeDetails.html",
				"tradeDetails",
				"pop-in",
				_json
			);
		});
		
	}
	
	if(m.os.plus){
		m.plusReady(_ready)
	}else{
		m.ready(_ready)
	}
}(mui, jQuery))
