(function($, m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			accNo: "",
			payAccount: '',
			payAccountName: '',
			AccountName: '',
			pw: '',
			mobileNo: '',
			accType: '',
			address: ''
		},
		methods: {
			init: function(){
				var _this = this;
				
				$('#tranAmt').validator();
				$('#SMSCode').validator();
				
				this.accPicker = new mui.PopPicker();
				
				var appUrl = '';
				
				var data = $.bs.postionSystem().getData();
				
				this.address = data.province + data.city + data.district;
				
				
				if(this.accType != '3'){
					appUrl = ut.netPayUrl + 'checkIsFirstBoundCard.do';
				} else {
					appUrl = ut.netPayUrl + 'queryThBoundCardsMb.do';
				}
				
				$.bs.getAllAccount(
					appUrl,
					function(res){
						var data = [];
						$.each(res.allAccountInfoList, function(k, v){
							var obj = {};
							
							if (_this.accType != '3') {
								obj.text = v.bankName + '储蓄卡' + '('+v.CardNo.substr(-4, 4)+')' ;
								obj.value = v.CardNo ;
								obj.AccountName = v.AccountName;
							} else {
								obj.text = v.boundCardBankName + '储蓄卡' + '('+v.boundCardNo.substr(-4, 4)+')' ;
								obj.value = v.boundCardNo ;
								obj.AccountName = v.boundCardName ;
							}
							
							data.push(obj)
						})
						
						_this.accPicker.setData(data);
						_this.payAccount = data[0]['value'];
						_this.payAccountName = data[0]['AccountName'];
						
						if(res.mobileNo){
							_this.mobileNo = res.mobileNo ;
						}
					}
				);
				
				$('#sendSMSBtn').countdown({
					'onSubmited': function(){
						$.bs.sendMSG({
							"tranCode": "NP101006",
							"messageType": "payCheckSMS",
							"mobileNo": _this.mobileNo
						},$('#sendSMSBtn'));
					}
				});
			},
			onSubmit: function(){
				var _this = this;
				
				if(!this.checker()){
					return false;
				}
				
				var appUrl = '';
				var app_imei;
			
		        if('iOS' == plus.os.name){
		        	var ver = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
		            
		            if(ver>9){
		            	app_imei = plus ? plus.device.imei : '';
		            }else{
		              app_imei=''
		            }
		        } else {
		         	app_imei = plus.device.imei;
		        }
				
				if(this.accType != '3'){
					appUrl = ut.netPayUrl + 'unPayTransfer.do';
				} else {
					appUrl = ut.netPayUrl + 'cardToThAcctMb.do';
				}
				
				
				var tranAmt = parseFloat($('#tranAmt').val().replace(/,/g,'')).toString(10);
				
				var data = {
					PyerAcctId: this.payAccount,
					TrxAmt: tranAmt,
					SMSCode: $('#SMSCode').val(),
					payPassword: $('#pw').attr('pass'),
					mobileNo: this.mobileNo,
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				
				if(this.accType != '3'){
					data.mobileNo = this.mobileNo ;
					data.address = this.address ;
					data.IMEI = app_imei ;
					
				} else {
					
				}
				
				$.bs.ajax({
					url: appUrl,
					data: data,
					processResponse: function(res){
						if(res.ec == '0') {
							if(res.RetCode == 'WK0001') {
								m.openWindow({
									url: "accSign.html",
									id: "accSign",
									extras: {
										cardNo: _this.accNo
									}
								});	
							} else {
								m.fire(plus.webview.getWebviewById('wallet1'),"refresh1");
								
								m.openWindow({
									url: "transferResult.html",
									id: "transferResult",
									extras: {
										flowNo: res.flowNo || '',
										tranAmt: res.tranAmt || $('#tranAmt').val() || '',
										payAccount: res.payAccount || '',
										recAccount: res.recAccount || ''
									}
								});
							}
						} else if(res.ec == '02'){
								var btnArray = ['帮助', '确定'];
								
								m.confirm( res.em, '提示', btnArray, function(e) {
									if (e.index == 1) {
										plus.webview.close(plus.webview.currentWebview(), "none");
									} else {
										$.bs.openWindowByLoad("transferAccHelp.html", "transferAccHelp", "pop-in", {}); 
									}
								})
						} else {
							m.alert(res.em);
						}
					},
					selfdefineFailed:function(){
					
					},
					wait: true
				});
			},
			choiceAcc: function(){
				var _this = this;
				
				this.accPicker.show(function(items) {
					_this.payAccount = items[0]['value'];
					_this.payAccountName = items[0]['AccountName'];
				});
			},
			checker: function(){
				if(!this.payAccount){
					mui.alert('请选择账号');
					
					return false;
				}
				
				if(!$('#tranAmt').data('bs.validator').check().passed){
					return false;
				}
				
				if(!$('#SMSCode').data('bs.validator').check().passed){
					return false;
				}
				
				if(!$('#pw').val()){
					mui.alert('支付密码不能为空');
					return false;
				}
					
				return true;
			}
		},
		computed: {
			CardNoTailFour: function(){
				return $.bs.format.getAccountTailFour(this.accNo);
			},
			payAccountTailFour: function(){
				return $.bs.format.getAccountTailFour(this.payAccount);
			},
			CardNoToBankNo: function(){
				return $.bs.format.toFomatBankNumber(this.accNo);
			},
			CardNoHideFour: function(){
				return $.bs.format.dealAccountHideFour(this.accNo);
			},
			payAccountHideFour: function(){
				return $.bs.format.dealAccountHideFour(this.payAccount);
			}
		}
	})
	
	function _ready(){
		var self;
		
		if(isWebApp){
			self = plus.webview.currentWebview();
			vn.mobileNo = self.mobileNo || "";
			vn.accNo = self.Account || "";
			vn.accType = self.accType || '';
		}else{
			
		}
		
		vn.init();
		
		$.bs.getSrandNumber('', function(ranKey){
			var srandNumber = ranKey;
			$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
		});
		
		$('#submit').on('tap', function(){
			vn.onSubmit();
		});
		
		
		$('#tranAmt').on('blur', function(){
			var val = $(this).val();
			
			$(this).val($.bs.format.prepareCashString(val, 2));
		});
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui);