(function($,m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			CardNo: '',
			Pwd: '',
			mobileNo: ''
		},
		methods: {
			init: function(){
				var _this = this;
				
				$('#CardNo').validator();
				$('#mobileNo').validator();
				$('#SMSCode').validator();
				
				$('#sendSMSBtn').countdown({
					'onSubmited': function(){
						$.bs.sendMSG({
							"tranCode": "NP101006",
							"messageType": "payCheckSMS",
							"mobileNo": _this.mobileNo
						},$('#sendSMSBtn'));
					}
				});
			},
			checker: function(){
				
				if(!$('#CardNo').data('bs.validator').check().passed){
					return false;
				}
				
				if(!$('#mobileNo').data('bs.validator').check().passed){
					return false;
				}
				
				if(!$('#SMSCode').data('bs.validator').check().passed){
					return false;
				}
				
				if(!$('#Pwd').val()){
					mui.alert('密码不能为空');
					return false;
				}
				
				return true
			},
			onSubmit: function(){
				var _this = this;
				
				if(!this.checker()){
					return false;
				}
				
				var data = {
					CardNo: this.CardNo,
					Pwd: $('#Pwd').attr('pass'),
					moileNo: this.mobileNo,
					SMSCode: $('#SMSCode').val(),
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'acctLevelBoundCard2.do',
					data: data,
					processResponse: function(res){
						if(res.ec == '0'){
							mui.alert(res.em);
							mui.fire(plus.webview.getWebviewById('bindCardList'), "refresh1");
							setTimeout(function(){
								plus.webview.close(plus.webview.currentWebview(), "none");
							},500);
						}
					},
					wait: true
				});
			}
		}
	})
	
	function _ready(){
		
		vn.init();
		
		var srandNumber;
	
		$.bs.getSrandNumber('', function(ranKey){
			srandNumber = ranKey;
			
		});
		
		$('#Pwd').on('click', function(){
			
			var idPwd = $(this).attr('id');
			var pwdEl = document.getElementById(idPwd);
			
			$.bs.openKeyboard(pwdEl, 'bindCardPassWord', srandNumber);
			
			return false
		});
		
		$(document).on('touchstart' ,function(){
			if(isWebApp){
				plus.pluginPGKeyboard.hideKeyboard('bindCardPassWord');//隐藏键盘	
			}
			
		});
	};
	
	if(isWebApp){
		m.plusReady(function(){
			_ready()
		});
	}else{
		m.ready(function(){
			_ready()
		});
	}
})(jQuery,mui);