(function($,m){
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			flowNo: '',
			cardNo: '',
			openNode: '',
			address: '',
			isSetPwd: '',
			Pwd: '',
			dealPwd: '',
			confirmPassword: '',
			dealConfirmPwd: '',
			appFlowNo: '',
			loansType: '',
			appSecAcctFlowNo: '',
			isReady: false
		},
		methods: {
			init: function(){
				this.isReady= true ;
				
				$.bs.getSrandNumber('', function(ranKey){
					var srandNumber = ranKey;
					$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
				});
				
				var data = $.bs.postionSystem().getData();
				
				this.address = data.province + data.city + data.district;
			},
			checker: function(){
				if(!$('#dealPwd').val()){
					mui.alert('交易密码不能为空');
					return false;
				}
				
				if(!$('#dealConfirmPwd').val()){
					mui.alert('确认交易密码不能为空');
					return false;
				}
				
				if(!$('#Pwd').val()){
					mui.alert('支付密码不能为空');
					return false;
				}
				
				if(this.isSetPwd == '1' && !$('#confirmPassword').val()){
					mui.alert('确认支付密码不能为空');
					return false;
				}
				
				if(!$('#agreeDeal').is(':checked')){
					mui.alert('请阅读协议')
					return false;
				}
				
				return true;
			},
			onSubmit: function(){
				var _this = this;
				
				if(!this.checker()){
					return false;
				}
				
				var app_imei;
			
		        if('iOS' == plus.os.name){
		        	var ver = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
		            
		            if(ver>9){
		            	app_imei = plus ? plus.device.imei : '';
		            }else{
		              app_imei=''
		            }
		        } else {
		         	app_imei = plus.device.imei;
		        }
				
				var data = {
					address : this.address,
					IMEI: app_imei,
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid,
					dealPwd: $('#dealPwd').attr('pass'),
					dealConfirmPwd: $('#dealConfirmPwd').attr('pass')
				};
				
				if(this.appFlowNo){
					data.appFlowNo = this.appFlowNo; 
					data.password = $('#Pwd').attr('pass');		
						
				} else {
					data.flowNo = this.flowNo;
					data.openNode = this.openNode;
					data.inviteCode = this.inviteCode;
					data.Pwd = $('#Pwd').attr('pass');
					data.isSetPwd = this.isSetPwd;
					data.appSecAcctFlowNo = this.appSecAcctFlowNo;
					
					delete data.customerId;
				}
				
				var url = ''
				
				if(this.appFlowNo){
					url = ut.netPayUrl + 'loanSecAcctOpenMb.do';
				}else{
					url = ut.netPayUrl + 'acctLevelOpenBankCard.do';
				}
				
				if(this.isSetPwd == '1'){
					data.confirmPassword = $('#confirmPassword').attr('pass');
				}
				
				if (this.appFlowNo) {
					$.bs.ajax({
						url: url,
						data: data,
						processResponse: function(res){
							_this.openWin(res);
						},
						wait: true
					});
				} else {
					$.bs.getSrandNum(function(res1){
						var encryptData = encodeURIComponent(ch.encryptData(data, res1.srandNum)); //数据加密
				
						var data2 = {
							memberUUID: plus.storage.getItem("memberUUID") || '',
							APP_UUID: plus.device.uuid || '',
							encryptData: encryptData,
							srandNumToken: res1.srandToken
						}
						
						$.bs.ajax({
							url: url,
							data: data2,
							processResponse: function(res){
								_this.openWin(res);
							},
							wait: true
						});
					})
				}
			},
			openWin: function(res){
				var _this = this ;
				
				if(res.ec == '0'){
					var data = {};
						
					if(_this.appFlowNo){ //网贷的二类户
						data.AcctName = res.custName;
						data.CardNo = res.cardNo;
						data.TelNo = res.mobileNo;
						data.OrgName = res.OrgName;
						data.Account = res.secAcct;
						data.sysDate = res.openDate;
						data.appFlowNo = res.appFlowNo;
						data.loanSecUrl = res.loanSecUrl;
						data.loansType = _this.loansType;
					}else{
						data.CardNo = res.CardNo;
						data.TelNo = res.TelNo;
						data.Account = res.Account;
						data.AcctName = res.CustName;
						data.sysDate = res.sysDate;
						data.OrgName = res.OrgName;
						data.bankCardType = res.bankCardType;
					}
								
					mui.openWindow({
						url: "createAccResult.html",
						id: "createAccResult",
						extras: data
					});
				}else {
					mui.alert(res.em);
				}
			}
		}
	})
	
	function _ready(){
		var ws;
		
		ws = plus.webview.currentWebview();
		vn.flowNo = ws.flowNo;
		vn.cardNo = ws.cardNo;
		vn.isSetPwd = ws.isSetPwd;
		vn.mobileNo = ws.mobileNo;
		vn.openNode = ws.openNode || '';
		vn.inviteCode = ws.inviteCode || '';
		vn.appFlowNo = ws.appFlowNo || '';
		vn.loansType = ws.loansType || '';
		vn.appSecAcctFlowNo = ws.appSecAcctFlowNo || '';
		
		vn.init();
		
		$('#deal-info').on('click', function(){
			$.bs.openWindowByLoad("../agreement/agr_typeTwoRule.html", "agr_typeTwoRule", "pop-in",{});
		});
	};
	
	if(mui.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery,mui);