(function($, m, win){
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function InputUserMsg() {
		this.init.apply(this, arguments);
	}
	
	InputUserMsg.prototype = {
		init: function(el, options){
			this.el = el;
			this.options = {};
			this.update(options);
			//初始化校验姓名，身份证
		},
		update: function(options){
			for(var i in options){
				this.options[i] = options[i];
			}
		},
		refresh: function(){
			$('#accountName').text($.bs.format.dealUserNameNoHide( this.options.userName ));
			$('#certNo').text($.bs.format.hideIDNumberMid(this.options.CertNb));
			$('#openNode').text(this.options.openNodeName);
			$('#inviteCode').val(this.options.inviteCode);
			
			if(this.options.isLoans){
				$('#step2').removeClass('mui-hidden');
				
				$('#certNo').closest('.form-item').removeClass('form-item-noline')
				$('#mobileNo').closest('.form-item').removeClass('mui-hidden');
				$('#mobileNo').text(this.options.mobileNo);
				$('#cardNo').closest('.form-item').removeClass('mui-hidden').addClass('form-item-noline');
				$('#cardNo').text(this.options.cardNo);
			}else{
				$('#step1').removeClass('mui-hidden');
			}
			
			if(this.el.hasClass('mui-hidden')){
				this.el.removeClass('mui-hidden');
			}
		},
		decryptData: function(options, callback){
			var data = {
				data: options.data,
				key: options.key,
				sign: options.sign
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'loanDecryptDataMb.do',
				data: data,
				processResponse: function(res){
					callback(res)
				},
				selfdefineFailed: function(){
					
				},
				wait: true
			});
		},
		choiceOccupation: function(){
			var _this = this;
			
			if(this.iOccupCodePicker){
				this.iOccupCodePicker.show(function(items) {
					_this.occupation = items[0]['text'];
					_this.occupationCode = items[0]['value'];
					$('#occupation').text(_this.occupation);
				});
			}else{
				this.iOccupCodePicker = new mui.PopPicker();
				var data = [];
				
				$.each(this.options.iOccupCode,function(key,val){
					data.push({
						text:val.Occupation,
						value:val.occupCode
					});
				})
				
				this.iOccupCodePicker.setData(data);
				this.iOccupCodePicker.show(function(items) {
					_this.occupation = items[0]['text'];
					_this.occupationCode = items[0]['value'];
					$('#occupation').text(_this.occupation);
				});
			}			
		},
		choiceAddr: function(){
			var _this = this;
			
			if(!this.iAddrCodeArr){
				zTree._getData('1', this.options.iAddrCode);
				this.iAddrCodeArr = zTree._getTree();
				
			}
			
			if (!this.iAddrCodePicker){
				this.iAddrCodePicker = new m.PopPicker({
					layer: 3
				});
				
				this.iAddrCodePicker.setData(this.iAddrCodeArr);
			}
			
			this.iAddrCodePicker.show(function(items) {
				_this.CurAddr = $.bs._getParam(items[0], 'text') + $.bs._getParam(items[1], 'text') + $.bs._getParam(items[2], 'text');
				_this.openCity = $.bs._getParam(items[1], 'value');
				_this.openArea = $.bs._getParam(items[2], 'value');
				
				$('#currAddr').text(_this.CurAddr);
				
				var data = {
					'type': 'checkArea',
					'token': $.bs._getParam(items[2], 'value'),
					'func': function (){
						_this.refresh();
					}
				}
				
				//获取
				_this.options.inviteCode = $('#inviteCode').val() || "";
				
				if (_this.options.inviteCode !== "" ) {
					_this.checkInviteCode(function(){
						var _data = {
							'type': 'checkTeller',
							'token': _this.options.inviteCode,
							'func': function(){
								_this.refresh();
							}
						};
						
						_this.getOpenNode(_data);
					}, function(){
						_this.getOpenNode(data);
					});
				} else {
					_this.getOpenNode(data);
				}
			});
		},
		checkInviteCode: function(succeed, failure){
			var data = {
				tellerId: this.options.inviteCode,
				branchId: "601000",
				memberInfoId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
				
			$.bs.ajax({
				url: ut.emallUrl + 'front/FrontFinancialServiceAction_financeManagerExist',
				data: data,
				processResponse: function(res){
					if(res.errorCode == '000000'){
						succeed && succeed();
					} else if(res.errorCode == '000001') {
						mui.alert('推荐人不存在');
						failure && failure();
					} else {
						mui.alert(res.errorMessage);
						failure && failure();
					}
				},
				wait: true
			});
		},
		checkData: function() {
			if(!this.occupation){
				mui.alert('请选择职业');
				return false;
			}
			
			if(!this.CurAddr){
				mui.alert('请选择地址');
				return false;
			}
			
			if($('#inviteCode').val() != '' && $('#inviteCode').val().length != 6){
				mui.alert('输入柜员号错误，请输入正确6位柜员号！', '温馨提示', function(){
					$('#inviteCode').val('');
				});
				
				return false;
			}
			
			return true;
		},
		openAcc: function(){
			var data1 = {
				certNo: this.options.CertNb,
				AccountName: this.options.userName,
				mobileNo: this.options.mobileNo,
				openNode: this.options.openNode,
				inviteCode: this.options.inviteCode || "",
				appSecAcctFlowNo: this.options.appSecAcctFlowNo
			};
			
			$.bs.openWindowByLoad("checkAccMsg.html", "checkAccMsg", "pop-in", data1);
		},
		orgNoQuery: function(){
			
		},
		checkAccMsg: function(){
			var _this = this;
			var isChecked = this.checkData();
			
			if(!isChecked){
				return ;
			}
			
			this.options.inviteCode = $('#inviteCode').val() || "";
			
			if(this.options.inviteCode != ''){
				var data = {
					'type': 'checkTeller',
					'token': this.options.inviteCode,
					'func': function(){
						_this.refresh();
						_this.openAcc();
					}
				}
				
				this.getOpenNode(data);
			}else{
				$.bs.ajax({
					url: ut.netPayUrl + 'organizationinformationQuery.do',
					data: {
						OrgNo: this.options.openNode
					},
					processResponse: function(res2){
						_this.openAcc();
					}
				})
			}
		},
		loanCheckAcc: function(){
			var _this = this;
			var isChecked = this.checkData();
			
			if(!isChecked){
				return ;
			}
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				appFlowNo: this.options.appFlowNo,
				Occupation: this.occupationCode, 
				openCity: this.openCity,
				openArea: this.openArea,
				openNode: this.options.openNode,
				inviteCode: this.options.inviteCode || ""
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'loanSecAcctCheckMb.do',
				data: data,
				processResponse: function(res){
					var data = {
						isSetPwd: res.isSetPwd,
						appFlowNo: res.appFlowNo,
						loansType: _this.options.loansType
					}
					
					$.bs.openWindowByLoad("inputPW.html", "inputPW", "pop-in", data);
				}
			});
		},
		getOpenNode: function(res) {
			var _this = this;

			var appUrl = "",
				data = {};
				
			if (res.type === 'checkArea') {
				appUrl = ut.netPayUrl + 'checkAreaOpenNode.do';
				data = {
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid,
					addrcountry: res.token
				};
			} else {
				appUrl = ut.netPayUrl + 'tellerInformationQuery.do';
				data = {
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid,
					inviteCode: res.token
				};
			}
			
			if ( this.options.isLoans ) {
				$.bs.ajax({
					url: appUrl,
					data: data,
					processResponse: function(res1){
						_this.options.openNode = res1.openNode;
						_this.options.openNodeName = res1.openNodeName;
						
						res.func && res.func();
					}
				});
			} else {
				delete data.customerId;
				
				$.bs.ajax({
					url: appUrl,
					data: data,
					processResponse: function(res1){
						if(res1.ec == '0'){
							_this.options.openNode = res1.openNode;
							_this.options.openNodeName = res1.openNodeName;
							
							$.bs.ajax({
								url: ut.netPayUrl + 'organizationinformationQuery.do',
								data: {
									OrgNo: res1.openNode
								},
								processResponse: function(res2){
									res.func && res.func();
								}
							});
						} else {
							if (res.type !== 'checkArea'){
								if (res1.ed != '') {
									var btnArray = ['确定', '详情'];
											
									mui.confirm(res1.em, '温馨提示', btnArray, function(e) {
										if(e.index == 1) {
											mui.alert(res1.ed);
										}
										
										$('#inviteCode').val('');
									});
								} else {
									mui.alert(res1.em);
								}
							} else {
								if (res1.ed != '') {
									var btnArray = ['确定', '详情'];
											
									mui.confirm(res1.em, '温馨提示', btnArray, function(e) {
										if(e.index == 1) {
											mui.alert(res1.ed);
										}
									});
											
								} else {
									mui.alert(res1.em);
								}
							}
						}
						
					},
					selfdefineFailed: function(){
					
					}
				});
			}
		},
		_onSubmit: function (callback) {
			var _this = this;
			
			if(this.options.isExistMsg == '1'){
				var appUrl = ut.netPayUrl + 'otherBankCardMsgUpdate.do';
				var data = {
					AreaCode: this.options.AreaCode,
					CurAddr: this.CurAddr,
					Occupation: this.occupationCode ,
					openNode: this.options.openNode,
					appSecAcctFlowNo : this.options.appSecAcctFlowNo,
					isExistMsg: this.options.isExistMsg,
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.getSrandNum(function(res1){
					var encryptData = encodeURIComponent(ch.encryptData(data, res1.srandNum)); //数据加密
				
					var data2 = {
						memberUUID: plus.storage.getItem("memberUUID") || '',
						APP_UUID: plus.device.uuid || '',
						encryptData: encryptData,
						srandNumToken: res1.srandToken
					}
						
					$.bs.ajax({
						url: appUrl,
						data: data2,
						processResponse: function(res){
							callback(res);
						}
					});
				})
			}else {
				var data = {
					appSecAcctFlowNo : this.options.appSecAcctFlowNo
				}
				
				callback(data);
			}
		}
	};
	
	function _ready(){
		var ws = {};
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		var options = {
			isLoans: ws.isLoans || ''
		};
		
		var inputUserMsg = new InputUserMsg($('#inputUserMsg'), options);
		
		var data = "" ;
		
		if (inputUserMsg.options.isLoans){
			data = {
				"userName": ws.custName ,
				"CertNb": ws.certNo ,   //身份证
				"mobileNo": ws.mobileNo ,  //手机号
				"cardNo": ws.cardNo ,
				"appFlowNo": ws.appFlowNo ,
				"iAddrCode": ws.iAddrCode ,
				"iOccupCode": ws.iOccupCode,
				"loansType": ws.loansType
			}
		} else {
			data = {
				CertTyp: ws.CertTyp || '',
				CertNb: ws.CertNb || '',
				userName: ws.userName || '',
				AreaCode: ws.AreaCode || '',
				Country: ws.Country || '',
				Nation: ws.Nation || '',
				CusSex: ws.CusSex || '',
				VisDat: ws.VisDat || '',
				DueDate: ws.DueDate ||'',
				BrnDat: ws.BrnDat ||'',
				IssuAuth: ws.IssuAuth ||'',
				CertAddr: ws.CertAddr ||'',
				iOccupCode: ws.iOccupCode ||'',
				iAddrCode: ws.iAddrCode ||'',
				isExistMsg: ws.isExistMsg ||'',
				mobileNo: ws.mobileNo || '',
				appSecAcctFlowNo: ws.appSecAcctFlowNo
			};
		}
		
		inputUserMsg.update(data);
		inputUserMsg.refresh();
		
		
		$('#submit').on('click', function(){
			if (inputUserMsg.options.isLoans) {
				inputUserMsg.loanCheckAcc();
			} else {
				inputUserMsg.checkAccMsg();
			}
		});
		
		$('#inviteCode').validator();
		
		$('#inviteCode').on('input', function(){
			var val = $(this).val();
			
			if(val.length != 6){
				return 
			}
			
			var data = {
				inviteCode: val
			}
			
			inputUserMsg.update(data);
			
			var data = {
				'type': 'checkTeller',
				'token': data.inviteCode,
				'func': function(){
					inputUserMsg.refresh();
				}
			}
			
			inputUserMsg.getOpenNode(data);
		});
		
		$('#choiceOccupation').on('click', function(e){
			e.preventDefault();
			inputUserMsg.choiceOccupation();
		});
		
		$('#choiceAddr').on('click', function(e){
			e.preventDefault();
			inputUserMsg.choiceAddr();
		});
		
		win.addEventListener('inputUserMsg',function(e){
			var data = {
				appSecAcctFlowNo : e.detail.appSecAcctFlowNo
			}
			
			inputUserMsg.update(data)
			
			inputUserMsg._onSubmit(function(res){
				var appUrl = "inputPW.html";
				var Id = "inputPW";
				var showStyle= "pop-in";
				
				var data = {
					flowNo: e.detail.flowNo,
					cardNo: e.detail.cardNo,
					isSetPwd: e.detail.isSetPwd,
					openNode: e.detail.openNode,
					inviteCode: e.detail.inviteCode,
					mobileNo:  e.detail.mobileNo,
					appSecAcctFlowNo: res.appSecAcctFlowNo
				};
				
				$.bs.openWindowByLoad(appUrl, Id, showStyle, data);
			});
		});
	};
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui, window);