(function($, m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			isQuery: false,
			isIn: false,
			pullToRefresh: '',
			AcctNo: '',
			accType: '',
			StartDt: '',
			EndDt: '',
			list: [],
			list_bk: [],
			curItem:{},
			endPos: 0,
			len: "isBegin"
		},
		methods: {
			init: function(){
				var _this = this;
				
				this.choiceDateZone('today');
				
				var deceleration = mui.os.ios ? 0.003 : 0.0009;
				
				m('.mui-scroll-wrapper').scroll({
					bounce:false,
					indicators:false, //是否显示滚动条
					deceleration:deceleration
				});
				
				var options={
					up: {
						callback: function() {
							var self = this;
							var isMore = false;
							
							if(_this.len != "isBegin" && _this.len == _this.list_bk.length){
								isMore = true
							}
							
							setTimeout(function() {
								if(isMore){
									self.endPullUpToRefresh();
									$('.mui-pull-loading').text('没有更多数据了');
								}else{
									if(_this.endPos == 0){
										_this.endPos = _this.endPos + 1 ;
									}else{
										_this.endPos = _this.endPos + 10 ;
									}
									_this.createPage(_this.endPos, 10, function(){
										self.endPullUpToRefresh();
									})
								}
							},1000);
						}
					}
				};
			
				this.pullToRefresh = m('#pullrefresh').pullToRefresh(options);
			},
			query: function(){
				this.pullToRefresh.pullUpLoading() ;
				this.isQuery = true ;
			},
			createPage: function(beginPos, len, callback){
				var _this = this;
				
				var data = {
					AcctNo: this.AcctNo,
					FundCd: '',
					PswdTp: '',
					CshRmtFlg: '',
					SubBrID: '',
					StartDt: this.StartDt.replace(/-/g, ''),
					EndDt: this.EndDt.replace(/-/g, ''),
					IttLo: beginPos,
					Quantity: len,
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'secAccTransDetailQuery.do',
					data: data,
					processResponse: function(res){
						if(res.ec == '0'){
							$.each(res.RetQryMsgArry, function(k, v){
								var obj = {};
								
								$.each(v, function(_k, _v){
									if (_k == 'TxnDt1') {
										obj[_k] = $.bs.format.dataToDate(_v) ;
									} else if (_k == 'DbAmt') {
										obj[_k] = $.bs.format.formatMoney(_v) ;
									} else if (_k == 'CrAmt') {
										obj[_k] = $.bs.format.formatMoney(_v) ;
									} else if (_k == 'Balance') {
										obj[_k] = $.bs.format.formatMoney(_v) ;
									} else if (_k == 'CntrprtAcctNo') {
										obj[_k] = $.bs.format.dealAccountHideFour(_v) ;
									}else if(_k == 'SmyInf' && _v == '转账' && v.DbFlg == 'C') {
										obj[_k] = '转账' + ' ' + '转入'
									}else if(_k == 'SmyInf' && _v == '转账' && v.DbFlg == 'D') {
										obj[_k] = '转账' + ' ' + '转出';
									}else {
										obj[_k] = _v ;
									}
								})
								
								_this.list.push(obj);
							})
							
							_this.list_bk =_this.list;
							
							callback && callback() ;
							
							_this.len = parseInt(res.TotRcrdNum);
						} else {
							callback && callback() ;
							
							var msg = (res.em == '无此明细') ? '无满足条件记录' :  res.em ;
							
							m.alert(msg, '提示', function(){
								_this.restart();
							});
						}
					},
					selfdefineFailed: function(){
						
					},
					wait: true
				});
			},
			choiceBeginDate: function(){
				var _this = this;
				
				if(this.beginDatePicker){
					
				}else{
					this.beginDatePicker = new mui.DtPicker({
						"type": "date",
						"beginDate":"",
						"endDate":new Date(new Date().getTime() + 1000*60*60*24),
						"lables": ["Year", "Mon", "Day"]
					});
				}
				
				this.beginDatePicker.show(function(rs) {
					_this.StartDt = rs.value;
					_this.beginDatePicker.dispose();
					_this.beginDatePicker = null;
				});
			},
			choiceEndDate: function(){
				var _this = this;
				
				if(this.endDatePicker){
					
				}else{
					this.endDatePicker = new mui.DtPicker({
						"type": "date",
						"beginDate":"",
						"endDate": new Date(new Date().getTime() + 1000*60*60*24),
						"lables": ["Year", "Mon", "Day"]
					});
				}
				
				this.endDatePicker.show(function(rs) {
					_this.EndDt = rs.value;
					_this.endDatePicker.dispose();
					_this.endDatePicker = null;
				});
			},
			openMod: function(item){
				var _this = this;
				
				this.curItem = {};
				
				$.each(item, function(k, v){
					_this.curItem[k] = v;
				});
				
				this.isIn = true;
			},
			restart: function(){
				this.isQuery = false;
				this.isIn = false;
				
				this.list = [];
				this.list_bk = [];
				this.len = "isBegin";
				this.endPos = 0;
			},
			choiceDateZone: function(type){
				switch (type) {
					case 'today': 
						choiceDateZone.getTodayZone() ;
						
						var zone = choiceDateZone.getDate() ;
					
						this.StartDt = zone.today.beginDate;
						this.EndDt = zone.today.endDate;
					break;
					
					case 'sevenDays': 
						choiceDateZone.getSevenDaysZone() ;
						
						var zone = choiceDateZone.getDate() ;
					
						this.StartDt = zone.sevenDays.beginDate;
						this.EndDt = zone.sevenDays.endDate;
					break;
					
					case 'oneMon': 
						choiceDateZone.getOneMonZone() ;
						
						var zone = choiceDateZone.getDate() ;
					
						this.StartDt = zone.oneMon.beginDate;
						this.EndDt = zone.oneMon.endDate;
					break;
					
					case 'threeMon': 
						choiceDateZone.getThreeMonZone() ;
						
						var zone = choiceDateZone.getDate() ;
					
						this.StartDt = zone.threeMon.beginDate;
						this.EndDt = zone.threeMon.endDate;
					break;
				}
			}
		}
	})
	
	function _ready(){
		vn.init();
		
		var ws = {};
		
		if(isWebApp){
			ws = plus.webview.currentWebview();
		}
		
		vn.AcctNo = ws.accNo || '';
		vn.accType = ws.accType || '';
		
		var old_back = m.back ;
		
		m.back = function(){
			if (vn.isIn == true) {
				vn.isIn = false;
			} else {
				old_back();	
			}
		};
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui);