(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function Records() {
		this.init.apply(this, arguments);
	}
	
	Records.prototype = {
		init: function(el, option){
			var _this = this;
			
			this.el = $(el);
			
			this.options = {};
			this.update(option);
			
			$('#inviteCode').val(this.options.organizerTelNo);
					
			this.options.startDate = function(){
				var m = new Date().getMonth();
				var y = new Date().getFullYear();
				
				ty = m - 3 >= 0 ? y : y-1;
				tm = m - 3 >= 0 ? m - 3 : 11 + ( m - 3 ); 
				
				var d = new Date();
				
				d.setFullYear(ty);
				d.setMonth(tm)
				
				return d;
			}()
			
			this.options.beginDate = $.bs.format.formatDate(this.options.startDate);
			this.options.endDate = $.bs.format.formatDate(new Date());
			
			$('#beginDate').text(this.options.beginDate);
			$('#endDate').text(this.options.endDate);
		},
		update: function (option){
			this.options = $.extend(this.options, option);
		},
		choicePayType: function(){
			var _this = this;
			
			if (this.chargeTypePicker) {
				
			}else {
				this.chargeTypePicker = new mui.PopPicker();
				
				var data =[{
					'text':'医疗保险',
					'value':'10212'
				}, {
					'text':'医疗保险（补缴）',
					'value':'1021201',
				}, {
					'text':'养老保险',
					'value':'10210',
				}, {
					'text':'养老保险（补缴）',
					'value':'1021001',
				}];
				
				this.chargeTypePicker.setData(data);
			}
			
			this.chargeTypePicker.show(function(items) {
				_this.options.chargeType = items[0]['value'];
				_this.chargeTypeText = items[0]['text'];
				
				$('#chargeType').text(_this.chargeTypeText);
			});
		},
		query: function(beginPos, callbackSuccess){
			var _this = this;
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				organizerTelNo: $('#inviteCode').val(),
				organizerType: this.options.chargeType || '10210',			
				turnPageBeginPos: beginPos,			
				turnPageShowNum: this.options.pageNum,
				organizerBeginDate: this.options.beginDate.replace(/\-/g, ''),
				organizerEndDate: this.options.endDate.replace(/\-/g, '')
			}
			
			$.bs.ajax({
				url: ut.netPayUrl + 'organizerSelect.do',
				data: data,
				processResponse: function(res){
					callbackSuccess(res)
				}
			})
		},
		createList: function(res){
			var _this = this;
			
			var html = '';
			var html1 = '';
			
			$.each(res.organizerSelectList, function(k, v){
				html += '<li class="shelf-item">';
				html += 	v.organizerName;
				html += '</li>';
				
				html1 += '<ul class="shelf-list mui-row">';
				html1 += 	'<li class="shelf-item mui-col-xs-5">';
				html1 += 		$.bs.format.hideIDNumberMid(v.organizerCardNo);
				html1 += 	'</li>';
				html1 += 	'<li class="shelf-item mui-col-xs-3">';
				html1 += 		v.organizerTranmt
				html1 += 	'</li>';
				html1 += 	'<li class="shelf-item mui-col-xs-4">';
				html1 += 		v.organizerTrantime
				html1 += 	'</li>';
				html1 += '</ul>';
			});
			
			$('#nameList').append(html);
			
			$('#list').append(html1);
			
			$('#totalNum').text(res.turnPageTotalNum);
			$('#totalAmt').text(res.organizerTotal);
		},
		checker: function(){
			if( this.options.chargeType == '' || this.options.chargeType == undefined ) {
				m.alert('请选择缴费类型');
				
				return false;
			}
			
			if( this.options.beginDate == '' || this.options.beginDate == undefined ) {
				mui.alert('请选择开始时间');
				
				return false;
			}
			
			if( this.options.endDate == '' || this.options.endDate == undefined ) {
				mui.alert('请选择结束时间');
				
				return false;
			}
			
			
			$('#inviteCode').validator();
			
			if(!$('#inviteCode').data('bs.validator').check().passed){
				return false;
			}
			
			return true;
		},
		_toggle: function(){
			if (!$('#form').hasClass('mui-hidden')) {
				$('#form').addClass('mui-hidden')
			} else {
				$('#form').removeClass('mui-hidden')
			}
			
			if ($('#shelf').hasClass('mui-hidden')) {
				$('#shelf').removeClass('mui-hidden')
			} else {
				$('#shelf').addClass('mui-hidden')
			}
		},
		_clear: function(){
			$('#totalNum').text('');
			$('#totalAmt').text('');
			
			$('#nameList').empty();
			$('#list').empty();
			
			
			
			$('#chargeType').text('请选择缴费类型');
			
			this.options.beginDate = $.bs.format.formatDate(this.options.startDate);
			this.options.endDate = $.bs.format.formatDate(new Date());
			
			$('#beginDate').text(this.options.beginDate);
			$('#endDate').text(this.options.endDate);
			
			$('#inviteCode').val(this.options.organizerTelNo);
		},
		choiceBeginDate: function(){
			var _this = this;
				
			if(this.beginDatePicker){
			}else{
				this.beginDatePicker = new mui.DtPicker({
					"value": $.bs.format.formatDate(this.options.startDate),
					"type": "date",
					"beginDate":this.options.startDate,
					"endDate":new Date(),
					"lables": ["Year", "Mon", "Day"]
				});
			}
			
			this.beginDatePicker.show(function(rs) {
				_this.options.beginDate = rs.value;
				_this.beginDatePicker.dispose();
				_this.beginDatePicker = null;
				
				$('#beginDate').text(rs.text);
			});
		},
		choiceEndDate: function(){
			var _this = this;
			
			if(this.endDatePicker){
				
			}else{
				this.endDatePicker = new mui.DtPicker({
					"value": $.bs.format.formatDate(new Date()),
					"type": "date",
					"beginDate":this.options.startDate,
					"endDate": new Date(),
					"lables": ["Year", "Mon", "Day"]
				});
			}
			
			this.endDatePicker.show(function(rs) {
				_this.options.endDate= rs.value;
				_this.endDatePicker.dispose();
				_this.endDatePicker = null;
				
				$('#endDate').text(rs.text);
			});
		}
	}
	
	function _ready(){
		var ws = '';
		
		if(m.os.plus){
			ws = plus.webview.currentWebview() ;
		}
		
		var organizerTelNo = '';
		
		if(m.os.plus){
			organizerTelNo = plus.storage.getItem("myInviteCode");
		}
		
		var records = new Records('#records',{
			organizerTelNo: organizerTelNo,
			beginPos: 1,
			pageNum: 15,
			totalNum: -1
		});
		
		var pullToRefresh;
		
		var deceleration = mui.os.ios?0.003:0.0009;
		
		mui('.mui-scroll-wrapper').scroll({
			bounce:false,
			indicators:false, //是否显示滚动条
			deceleration:deceleration
		});
		
		var options={
			up: {
				callback: function() {
					var _this = this;
					
					setTimeout(function() {
						var beginPos = records.options.beginPos;
						
						if (records.options.beginPos > records.options.totalNum && records.options.totalNum !== -1) {
							
							_this.endPullUpToRefresh();
							$('.mui-pull-loading').text('没有更多数据了');
						} else {
							records.query(beginPos, function(res){
								records.options.beginPos = Number(records.options.beginPos) + Number(records.options.pageNum);
								records.options.totalNum = res.turnPageTotalNum;
								
								records.createList(res)
								
								_this.endPullUpToRefresh();
							});
						}
						
					},1000);
				}
			}
		}
	
		pullToRefresh=mui('#pullrefresh').pullToRefresh(options)
		
		
		$('#choicePayType').on('tap', function(){
			records.choicePayType();
		});
		
		$('#query').on('tap', function(){
			if(records.checker()){
				
				records._toggle();
				
				pullToRefresh.pullUpLoading();
			}
		});
		
		$('#beginDateBtn').on('tap', function(){
			records.choiceBeginDate();
		});
		
		$('#endDateBtn').on('tap', function(){
			records.choiceEndDate();
		});
		
		var old_back = m.back;
		
		m.back = function(){
			if ($('#form').hasClass('mui-hidden')) {
				records.update({
					beginPos: 1,
					totalNum: -1,
					beginDate: '',
					endDate: '',
					chargeType: ''
				})
				
				records._clear();
				records._toggle();
			} else {
				old_back();
			}
		};
		
		$('#shelf').rome({});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery));