(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function Revocation(){
		this.init.apply(this, arguments);
	}
	
	Revocation.prototype = {
		init: function(el, option){
			var _this = this;
			
			this.el = el;
			this.options = $.extend(this.options, option);
			
			$.bs.getSrandNumber('', function(ranKey){
				var srandNumber = ranKey;
				$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
			});
			
			$('#SMSCode').validator();
		},
		render: function(){
			var _this = this;
			
			$('#flowNo').text(this.options.flowNo);
			$('#chargeType').text(this.options.chargeType);
			$('#payAccount').text(this.options.payAccount);
			$('#tranAmt').text(this.options.tranAmt);
			
			$('#userName').text(this.options.remark.split('|')[0] || "");
			$('#IDType').text(this.options.remark.split('|')[1] || "");
			$('#userID').text(this.options.remark.split('|')[2] || "");
		},
		sendSMS: function(){
			$('#sendSMSBtn').countdown('start');	
			
			var mobileNo = plus.storage.getItem('phone');
				
			$.bs.ajax({
				url: ut.netPayUrl + 'sendSMSCodeCommon.do',
				data: {
					"memberUUID": plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid,
					"customerId": plus.storage.getItem("memberInfoId"),
			   		"tranCode": "NP101006",
					"messageType": "payCheckSMS",
					"mobileNo": mobileNo
				},
				processResponse: function(res){
					if(res.ec != '0'){
						if (res.ed !== '' && res.ed !== undefined) {
							var btnArray = ['确定', '详情'];
								
							mui.confirm(res.em, '温馨提示', btnArray, function(e) {
								if(e.index == 1) {
									mui.alert(res.ed);
								}
							});
								
						} else {
							mui.alert(res.em);
						}
						
						$('#sendSMSBtn').countdown('end');
					} else {
						
					}
					
					
				},
				selfdefineFailed: function(res){
					
				}
			});
		},
		sendData: function(){
			$('#SMSCode').trigger('blur');
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				TxnSeqNo: this.options.flowNo,
				SMSCode: $('#SMSCode').val(),
				payPassword: $('#Pwd').attr('pass')
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'tsPaymentCancelMb.do',
				data: data,
				processResponse: function(res){
					m.alert(res.em, '提示', function(){
						plus.webview.close(plus.webview.getWebviewById('payRecords'), 'none');					
							
						setTimeout(function(){
							plus.webview.close(plus.webview.currentWebview(), 'none');
						}, 500);
					});
				}
			});
		}
	}
	
	function _ready(){
		var ws = '';
		
		if(m.os.plus){
			ws = plus.webview.currentWebview() ;
		}
		
		var revocation = new Revocation('', {
			flowNo: ws.flowNo || "",
			payAccount: ws.payAccount || "",
			chargeType: ws.chargeType || "",
			tranAmt: ws.tranAmt || "",
			remark: ws.remark || ""
		});
		
		revocation.render();
		
		$('#sendDataBtn').on('tap', function(){
			if(!$('#SMSCode').data('bs.validator').check().passed){
				return ;
			}
			
			if(!$('#Pwd').val()){
				mui.alert('密码不能为空');
				return ;
			}
			
			revocation.sendData();
		});
		
		$('#sendSMSBtn').on('tap', function(){
			
			if($(this).hasClass('disabled')){
				return 
			}
			
			revocation.sendSMS();
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery));