(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function CancelSign(){
		this.init.apply(this, arguments);
	}
	
	CancelSign.prototype = {
		init: function(el, option){
			var _this = this;
			
			this.el = $(el);
			
			this.option = {};
			this.update(option);
			
			$.bs.getSrandNumber('', function(ranKey){
				var srandNumber = ranKey;
				$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
				_this.query();
			});
			
		},
		update: function(option){
			this.option = $.extend(this.option, option);
		},
		query: function(){
			var _this = this;
			
			var $data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			$.bs.ajax({
				//查询签约用户列表
				url: ut.netPayUrl + 'taxSignUserListQueryMb.do',
				data: $data,
				processResponse: function(res){
					_this.option.userList = []; 
					
					if (res.iTaxSignInfoList.length > 0) {
						$.each(res.iTaxSignInfoList, function(k, v){
							var obj = {};
							
							$.each(v, function(k1, v1){
								obj[k1] = v1
							});
							
							_this.option.userList.push(obj);
						});
						
						if(!_this.usersPicker){
							var data = [];
							
							$.each(_this.option.userList, function(k, v){
								var obj = {};
								
								obj['custName'] = v['custName'];
								obj['cardNo'] = v['cardNo'];
								obj['certNo'] = v['certNo'];
								obj['text'] = v['custName'];
								obj['value'] = v['certNo'];
								
								data.push(obj);
							})
							
							_this.usersPicker = new mui.PopPicker();
							_this.usersPicker.setData(data);
							
							_this.userName = data[0]['custName'];
							_this.userId = data[0]['certNo'];
							_this.userBindCard = data[0]['cardNo'];
							
							
							_this.queryUserInfo();
							
							$("#userName").text(_this.userName);
							$("#userId").text(_this.userId);
							
							$("#cardNo").text($.bs.format.dealAccountHideFour(_this.userBindCard));
						}
					}
				},
				selfdefineFailed: function(res){
					mui.alert(res.em,function(){
						mui.back();
					});
				},
				wait: true
			});
		},
		choiceUser: function(){
			var _this = this;
			
			this.usersPicker.show(function(items) {
				_this.userName = items[0]['custName'];
				_this.userId = items[0]['certNo'];
				_this.userBindCard = items[0]['cardNo'];
				
				$("#userName").text(_this.userName);
				$("#userId").text(_this.userId);
				
				_this.queryUserInfo()
			});
		},
		queryUserInfo: function(i){
			var _this = this;
			
			var $data = {
				IdentNo: this.userId,
				Nm: this.userName,
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'taxUserConfirmListMb.do',
				data: $data,
				processResponse: function(res){
					
					_this.option.userInfo_10212 = [];
					_this.option.userInfo_10210 = [];
					
					$.each(res.iCfrmPayAmtList_10212 , function(k, v){
						var obj = {};
						
						$.each(v, function(k1, v1){
							obj[k1] = v1;
						});
						
						_this.option.userInfo_10212.push(obj);
					});
					
					$.each(res.iCfrmPayAmtList_10210 , function(k, v){
						var obj = {};
						
						$.each(v, function(k1, v1){
							obj[k1] = v1;
						});
						
						_this.option.userInfo_10210.push(obj);
					});
					
					$('#infoList').empty();
					
					_this.createInfoList(_this.option.userInfo_10212, '10212');
					_this.createInfoList(_this.option.userInfo_10210, '10210');
				},
				wait: true
			});
		},
		createInfoList: function(arr, type){
			var htm = '';
			
			if(type == '10212'){
				htm += '<div class="form-header form-item-space">'
				htm +=	'<div class="form-header-inner">'
				htm +=		'<span class="form-header-left">'
				htm +=			'<img src="../../images/icon_medical.png" alt="" />'
				htm +=		'</span>'
				htm +=		'<div class="form-header-right">'
				htm +=			'医疗保险'
				htm +=		'</div>'
				htm +=	'</div>'
				htm +='</div>'
			}else if(type == '10210'){
				htm += '<div class="form-header form-item-space">'
				htm +=	'<div class="form-header-inner">'
				htm +=		'<span class="form-header-left">'
				htm +=			'<img src="../../images/icon_older.png" alt="" />'
				htm +=		'</span>'
				htm +=		'<div class="form-header-right">'
				htm +=			'养老保险'
				htm +=		'</div>'
				htm +=	'</div>'
				htm +='</div>'
			}
			
			$.each(arr, function(k, v){
				htm +='<div class="form-item">'
				htm +=	'<span class="form-item-header">'
				htm +=		'人员编号'
				htm +=	'</span>'
				htm +=	'<div class="form-item-body">'
				htm +=		'<div class="form-control-static">'
				htm +=			v.CtcPrsnNo
				htm +=		'</div>'
				htm +=	'</div>'
				htm +='</div>'
				htm +='<div class="form-item">'
				htm +=	'<span class="form-item-header">'
				htm +=		'征税机关代码'
				htm +=	'</span>'
				htm +=	'<div class="form-item-body">'
				htm +=		'<div class="form-control-static">'
				htm +=			v.SctrCd
				htm +=		'</div>'
				htm +=	'</div>'
				htm +='</div>'
				htm +='<div class="form-item">'
				htm +=	'<span class="form-item-header">'
				htm +=		'征税机关名称'
				htm +=	'</span>'
				htm +=	'<div class="form-item-body fillRright">'
				htm +=		'<div class="form-control-static">'
				htm +=			v.InstNm
				htm +=		'</div>'
				htm +=	'</div>'
				htm +='</div>'
				htm +='<div class="form-item form-item-noline">'
				htm +=	'<span class="form-item-header">'
				htm +=		'缴费档次'
				htm +=	'</span>'
				htm +=	'<div class="form-item-body">'
				htm +=		'<div class="form-control-static">'
				htm +=			v.PylAmt
				htm +=		'</div>'
				htm +=	'</div>'
				htm +='</div>'
			});
			
			$('#infoList').append(htm);
		},
		sendSMS: function(){
			if($('#sendSMSBtn').hasClass('disabled')){
				return 
			}
			
			$('#sendSMSBtn').countdown('start');
			
			var mobileNo = plus.storage.getItem('phone');
			
			var data = {
				"memberUUID": plus.storage.getItem("memberUUID"),
				"APP_UUID": plus.device.uuid,
				"customerId": plus.storage.getItem("memberInfoId"),
				"tranCode": "NP101036",
				"messageType": "socialSign",
				"mobileNo": mobileNo
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'sendSMSCodeCommon.do',
				data: data,
				processResponse: function(res){
					if(res.ec != '0'){
						if (res.ed !== '' && res.ed !== undefined) {
							var btnArray = ['确定', '详情'];
									
							mui.confirm(res.em, '温馨提示', btnArray, function(e) {
								if(e.index == 1) {
									mui.alert(res.ed);
								}
							});
									
						} else {
							mui.alert(res.em);
						}
						
						$('#sendSMSBtn').countdown('end');
					}
				},
				selfdefineFailed: function(res){
				}
			});
		},
		sendData: function(){
			var _this = this;
			
			$('#SMSCode').validator();
			
			if(!$('#SMSCode').data('bs.validator').check().passed){
				return ;
			}
			
			if(!$('#Pwd').val()){
				mui.alert('密码不能为空');
				return ;
			}
			
			var $data = {
				IdentNo: this.userId,
				Nm: this.userName,
				SMSCode: $("#SMSCode").val(),
				payPassword: $("#Pwd").attr('pass'),
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'taxUserCancelSignMb.do',
				data: $data,
				processResponse: function(res){
					_this.openResWindow(res);
				},
				wait: true
			});
		},
		confirm: function(){
			$('#step2').removeClass('mui-hidden');
			$('#step1').addClass('mui-hidden');
		},
		openResWindow: function(res){
			var data = {
				Nm: this.userName,
				IdentNo: this.userId,
				PymtAcctNo: res.PymtAcctNo
			}
			
			$.bs.openWindowByLoad(
				"cancelSignedResult.html",
				"cancelSignedResult",
				"pop-in",
				data
			);
		}
	}
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		var cancelSign = new CancelSign('#SignManage' , {
			
		});
		
		$('#choiceUser').on('tap', function(){
			cancelSign.choiceUser();
		});
		
		$('#sendSMSBtn').on('tap', function(){
			cancelSign.sendSMS();
		});
		
		$("#confirmBtn").on('tap', function(){
			cancelSign.confirm();
		});
		
		$('#cancelBtn').on('tap', function(){
			cancelSign.sendData();
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))
