(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function LevelUpdate(){
		this.init.apply(this, arguments);
	}
	
	LevelUpdate.prototype = {
		init: function(el, option){
			var _this = this;
			
			this.el = $(el);
			
			this.option = {};
			this.update(option);
			
			this.queryList();
			
		},
		update: function(option){
			this.option = $.extend(this.option, option);
		},
		queryList: function(){
			var _this = this;
			
			var $data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			$.bs.ajax({
				//查询签约用户列表
				url: ut.netPayUrl + 'taxSignUserListQueryMb.do',
				data: $data,
				processResponse: function(res){
					if (res.iTaxSignInfoList.length > 0) {
						_this.option.userList = res.iTaxSignInfoList; 
						res.iTaxSignInfoList.forEach(function(e,i,a){
							var str = `
								<div class='form-group'>
									<div class='form-item form-box'>
										<div class='form-item-name'>
											<span class='form-cell-left'>姓名</span>
											<span class='form-cell-right'>${e.custName}</span>
										</div>
										<div class='form-item-certNo'>
											<span class='form-cell-left'>身份证</span>
											<span class='form-cell-right'>${e.certNo}</span>
										</div>
									</div>
									<div class='form-query'>查询</div>
								</div>
							`
							$(str).appendTo($('#signUserList'));
						})
					}
				},
				selfdefineFailed: function(res){
					mui.alert(res.em,function(){
						mui.back();
					});
				},
				wait: true
			});
		}
	}
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		
		var levelUpdate = new LevelUpdate('#SignManage' , {});
		
		$('body').on('tap','.form-query', function(){
			
			var data = {
				custName: $(this).parent().children('.form-box').children('.form-item-name').children('.form-cell-right').text(),
				certNo: $(this).parent().children('.form-box').children('.form-item-certNo').children('.form-cell-right').text(),
			}
			console.log(JSON.stringify(data))
			$.bs.openWindowByLoad(
				"selfLevelUpdateInfo.html",
				"selfLevelUpdateInfo",
				"pop-in",
				data
			);
		});
		
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))
