(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: "#vn",
		data: {
			custName: '',
			certNo: '',
			accPicker: '',
			curAcc: '',
			cardNo: '',
			signFlag: '0',
			PymtAcctNo: '',
			betAmt: '',
			signAmt: '',
			notSign: '',
			amtPicker: '',
			selectedAmt: '',
			list: [{
				'MbrNo': '',
				'SctrCd': ''
			}],
			olderAmt: '',
			step: -1
		},
		methods: {
			init: function(){
				$.bs.getSrandNumber('', function(ranKey){
					var srandNumber = ranKey;
					$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
				});
				
				$('#SMSCode').validator();
				
				this.querySign();
				
			},
			queryState: function(){
				var _this = this;
				
				var data = {
					IdentNo: this.certNo,
					Nm: this.custName,
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'tsInsuranceQueryMb.do',
					data: data,
					processResponse: function(res){
						_this.list = [];
						_this.step = 0;						
						
						if(res.iCbdjxxlist){
							
							_this.list = res.iCbdjxxlist;
							_this.olderAmt = res.olderAmt;
							
							$.each(_this.list, function(k, v){
								$.each(v.Jfxzxxlist, function(k1, v1){
									v1['BegYrMoFormat'] = $.bs.format.dataToDate(v1.BegYrMo);
									v1['StopDtFormat'] = $.bs.format.dataToDate(v1.StopDt);
								});
							});
						}
					},
					wait: true
				})
			},
			confirm: function(){
				if(this.selectedAmt == '' && this.notSign == true){
					mui.alert('请选择养老保险缴费金额');
					return ;
				}
				
				this.step = 1 ;
			},
			queryAcc: function(){
				var _this = this;
				
				this.accPicker = new mui.PopPicker();
				
				$.bs.getBankCards(
					{
						"secAccFlag":"00"
					},
					'selectBoundCard4Mb.do',
					function(res){
						_this.curAcc = $.bs.format.dealAccountHideFour(res[0].value);
						_this.cardNo = res[0].value;
						
						_this.accPicker.setData(res);
					}
				);
			},
			querySign: function(){
				var _this = this;
				
				var data = {
					"memberUUID": plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid,
					"customerId": plus.storage.getItem("memberInfoId")
				};
				
				$.bs.ajax({
					url: ut.netPayUrl + 'queryTSSignMb.do',
					data: data,
					processResponse: function(res){
						_this.signFlag = res.signFlag;
						
						if(_this.signFlag == '1'){
							_this.PymtAcctNo = res.PymtAcctNo;
							_this.custName = res.Nm ;
							_this.certNo = res.IdentNo;
							_this.curAcc = $.bs.format.dealAccountHideFour(_this.PymtAcctNo);
							_this.signAmt = res.signAmt || '';
							
							_this.notSign = false ;
						} else{
							_this.betAmt = res.betAmt || '';
							_this.notSign = true ;
							
							_this.queryAcc();
							_this.queryAmt();
						}
					}
				});
			},
			queryAmt: function(){
				if(!this.amtPicker && this.betAmt != ''){
					var data = [{
						value: '',
						text: '请选择'
					}];
					var arr = this.betAmt.split('|');
									
					$.each(arr, function(k, v){
						var obj = {
							value: v,
							text: v
						};
		
						data.push(obj);
					});
					
					this.selectedAmt = data[0].value;
					
					this.amtPicker = new m.PopPicker();
					this.amtPicker.setData(data);
				}
			},
			choiceAmt: function(){
				var _this = this;
				
				this.amtPicker.show(function(res) {
					_this.selectedAmt = res[0].value;
				});
			},
			choiceCard: function(){
				var _this = this;
				
				if(this.PymtAcctNo != ''){
					return 
				}
				
				this.accPicker.show(function(items) {
					_this.curAcc = $.bs.format.dealAccountHideFour(items[0]['value']);
					_this.cardNo = items[0]['value'];
				});
			},
			sendSMS: function(){
				if($('#sendSMSBtn').hasClass('disabled')){
					return 
				}
				
				$('#sendSMSBtn').countdown('start');
				
				var mobileNo = plus.storage.getItem('phone');
				
				var data = {
					"memberUUID": plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid,
					"customerId": plus.storage.getItem("memberInfoId"),
					"mobileNo": mobileNo
				};
				
				if (this.signFlag === '0') {
					data.tranCode = "NP101036";
					data.messageType = "socialSign";
				} else {
					data.tranCode = "NP101036";
					data.messageType = "socialCancelSign";
				}
				
				$.bs.ajax({
					url: ut.netPayUrl + 'sendSMSCodeCommon.do',
					data: data,
					processResponse: function(res){
						if(res.ec != '0'){
							if (res.ed !== '' && res.ed !== undefined) {
								var btnArray = ['确定', '详情'];
										
								mui.confirm(res.em, '温馨提示', btnArray, function(e) {
									if(e.index == 1) {
										mui.alert(res.ed);
									}
								});
										
							} else {
								mui.alert(res.em);
							}
							
							$('#sendSMSBtn').countdown('end');
						}
					},
					selfdefineFailed: function(res){
					}
				});
			},
			sendData: function(){
				var _this = this;
				
				if(!$('#SMSCode').data('bs.validator').check().passed){
					return ;
				}
				
				if(!$('#Pwd').val()){
					mui.alert('密码不能为空');
					return ;
				}
				
				if(!$('#agreeDeal').is(':checked') && this.signFlag=="0"){
					m.alert('请阅读协议')
					return;
				}
				
				$('#SMSCode').trigger('blur');
				
				var data = {
					"memberUUID": plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid,
					"customerId": plus.storage.getItem("memberInfoId"),
					"OprTp": this.signFlag,
					"PymtAcctNo": this.PymtAcctNo != '' ? this.PymtAcctNo : this.cardNo,
					"SMSCode": $('#SMSCode').val(),
					"payPassword": $('#Pwd').attr('pass')
				};
				
				if(this.signFlag != '1'){
					data.signAmt = this.selectedAmt;
				}
				
				$.bs.ajax({
					url: ut.netPayUrl + 'tsPaymentSignMb.do',
					data: data,
					processResponse: function(res){
						var flag = '';
						
						if (res.ec == '0'){
							flag = '1'
						} else {
							flag = '0'
						}
						
						var data = {
							signFlag: _this.signFlag,
							flag: flag,
							errorMessage: res.errorMessage
						}
						
						m.openWindow({
							url: "signedResult.html",
							id: "signedResult",
							extras: data
						});
					},
					selfdefineFailed:function(){
						
					}
				});
			}
		},
		computed: {
			certNoHide (){
				return $.bs.format.hideIDNumberMid(this.certNo);
			},
			nameHide (){
				return $.bs.format.dealUserNameNoHide(this.custName);
			}
		}
	})
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		
		vn.custName = ws.custName || '';
		vn.certNo = ws.certNo || '';
		
		vn.init();
		
		$('#deal-info').on('click', function(){
			$.bs.openWindowByLoad(
				"../agreement/agr_socialsercurity.html",
				"agr_socialsercurity",
				"pop-in",
				{}
			);
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))
