(function(m, $){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function SignManage(){
		this.init.apply(this, arguments);
	}
	
	SignManage.prototype = {
		init: function(el, option){
			var _this = this;
			
			this.el = $(el);
			
			this.option = {};
			this.update(option);

			$('#Nm').val(this.option.Nm);
			$('#IdentNo').val(this.option.IdentNo);
			
			$.bs.getSrandNumber('', function(ranKey){
				var srandNumber = ranKey;
				$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
				_this.queryAcc();
			});
			
		},
		update: function(option){
			this.option = $.extend(this.option, option);
		},
		query: function(){
			var _this = this;
			
			$('#Nm').validator();
			$('#IdentNo').validator();
			
			if(!$('#Nm').data('bs.validator').check().passed){
				return ;
			}
			
			if(!$('#IdentNo').data('bs.validator').check().passed){
				return ;
			}
			
			var $data = {
				IdentNo: $("#IdentNo").val().replace(/\s+/g,"").toUpperCase(),
				Nm: $("#Nm").val().replace(/\s+/g,""),
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			$.bs.ajax({
				//参保情况查询
				url: ut.netPayUrl + 'insuranceQueryForSignMb.do',
				data: $data,
				processResponse: function(res){
					$('#Nm').prop('readonly', 'readonly');
					$('#IdentNo').prop('readonly', 'readonly')
					
					_this.option.list_10210 = [];
					_this.option.list_10212 = [];
					
					_this.olderAmt = res.olderAmt;
					_this.SeqNo = res.SeqNo;
					
					if(res.iCbdjxxlist_10210 != undefined && res.iCbdjxxlist_10210.length > 0){
						$.each(res.iCbdjxxlist_10210, function(k, v){
							_this.option.list_10210.push(v) //养老
						});
						
						$('#list').empty();
						
						_this.addItem('#list', _this.option.list_10210);
						
					}
					
					if(res.iCbdjxxlist_10212 != undefined && res.iCbdjxxlist_10212.length > 0){
						$.each(res.iCbdjxxlist_10212, function(k, v){
							_this.option.list_10212.push(v)
						});
						
						$('#list1').empty();
						
						_this.addItem('#list1', _this.option.list_10212);
					}
					
					$('#step1').addClass('mui-hidden');
					$('#step2').removeClass('mui-hidden');
				},
				wait: true
			});
		},
		addItem: function(p, list){
			var _this = this;
			var html = '';
			
			if (list[0]['Jfxzxxlist'][0]['PrjCd'] == '10212') {
				html +=	'<div class="shelf-header">'
				html +=		'<div class="shelf-header-inner">'
				html +=			'<span class="shelf-header-left">'
				html +=				'<img src="../../images/icon_medical.png" alt="" />'
				html +=			'</span>'
				html +=	 		'<div class="shelf-header-right">'
				html +=				'医疗保险'
				html +=			'</div>'
				html +=		'</div>'
				html +=	'</div>'
			} else if(list[0]['Jfxzxxlist'][0]['PrjCd'] == '10210'){
				html +=	'<div class="shelf-header">'
				html +=		'<div class="shelf-header-inner">'
				html +=			'<span class="shelf-header-left">'
				html +=	 			'<img src="../../images/icon_older.png" alt="" />'
				html +=			'</span>'
				html +=			'<div class="shelf-header-right">'
				html +=				'养老保险'
				html +=			'</div>'
				html +=		'</div>'
				html +=	'</div>'
			} else {
			
			}
			
			$.each(list, function(k, v){
				html += '<div class="shelf-item">';
				html +=		'<div class="panel panel-p">';
				
				if (list.length > 1) {
					html +=			'<div class="panel-wrapper">';
					html +=				'<div class="panel-scroll-wrapper">'
					html +=					'<div class="panel-left">'
				}
				
				html +=						'<div class="panel-group">'
				html +=							'<div class="panel-item panel-item-noline">'
				html +=								'<div class="mui-row">'
				html +=									'<div class="panel-item-header mui-col-xs-4">'
				html +=										'人员编号'
				html +=									'</div>'
				html +=									'<div class="panel-item-body mui-col-xs-8 mui-text-right">'
				html +=										v.MbrNo
				html +=									'</div>'
				html +=								'</div>'
				html +=							'</div>'
											
				html +=							'<div class="panel-item">'
				html +=								'<div class="mui-row">'
				html +=									'<div class="panel-item-header mui-col-xs-4">'
				html +=										'征税机关代码'
				html +=									'</div>'
				html +=									'<div class="panel-item-body mui-col-xs-8 mui-text-right">'
				html +=											v.SctrCd
				html +=									'</div>'
				html +=								'</div>'
				html +=							'</div>'
				html +=							'<div class="panel-item">'
				html +=								'<div class="mui-row">'
				html +=									'<div class="panel-item-header mui-col-xs-4">'
				html +=										'征税机关名称'
				html +=									'</div>'
				html +=									'<div class="panel-item-body mui-col-xs-8 mui-text-right">'
				html +=										v.InstNm
				html +=									'</div>'
				html +=								'</div>'
				html +=							'</div>'
											
				html +=						'</div>'
				html +=					'</div>'
				
				if (list.length > 1) {
					html +=					'<div class="panel-right mui-radio">'
					html +=						'<input name="'+ v.PrjCd +'" type="radio" class="chioceBtn"/>'
					html +=					'</div>'
					html +=				'</div>'
					html +=			'</div>'
				}
				
				html +=		'</div>'
				html +='</div>'
			});
			$(p).empty();
			$(p).append(html);
		},
		confirmData: function(){
			var _this = this;
			
			this.option.list2 = [];
			
			var isRequired_10212 = false ; //医疗保险
			var isRequired_10210 = false ; //养老保险
			
			if(this.option.list_10212.length > 0){
				if (this.option.list_10212.length == 1) {
					this.option.list2.push(_this.option.list_10212[0]);
					
					isRequired_10212 = true;
				}else{
					$('#list1').find('.shelf-item').each(function(i){
						if($(this).find('.chioceBtn').is(':checked')){
							_this.option.list2.push(_this.option.list_10212[i]);
							
							isRequired_10212 = true;
						}
					})
				}
				
				
				
				if(!isRequired_10212){
					mui.alert('请选择一条医疗保险缴费记录')
					return 
				}
			}
			
			
			
			if(this.option.list_10210.length > 0){
				if (this.option.list_10210.length == 1) {
					this.option.list2.push(_this.option.list_10210[0]);
					
					isRequired_10210 = true;
					
				}else{
					$('#list').find('.shelf-item').each(function(i){
						if($(this).find('.chioceBtn').is(':checked')){
							_this.option.list2.push(_this.option.list1_10210[i]);
							isRequired_10210 = true;
						}
					})
				}
				
				if(!isRequired_10210){
					mui.alert('请选择一条养老缴费记录')
					return 
				}
			}
			
			var html = '';
			
			$.each(this.option.list2, function(k, v){
				if (v['Jfxzxxlist'][0]['PrjCd'] == '10212') {
					html +=	'<div class="form-header">'
					html +=		'<div class="form-header-inner">'
					html +=			'<span class="form-header-left">'
					html +=				'<img src="../../images/icon_medical.png" alt="" />'
					html +=			'</span>'
					html +=			'<div class="form-header-right">'
					html +=				'医疗保险'
					html +=			'</div>'
					html +=		'</div>'
					html +=	'</div>'
				} else if(v['Jfxzxxlist'][0]['PrjCd'] == '10210'){
					html +=	'<div class="form-header">'
					html +=		'<div class="form-header-inner">'
					html +=			'<span class="form-header-left">'
					html +=				'<img src="../../images/icon_older.png" alt="" />'
					html +=			'</span>'
					html +=			'<div class="form-header-right">'
					html +=				'养老保险'
					html +=			'</div>'
					html +=		'</div>'
					html +=	'</div>'
				} else {
					
				}
						
				
				html += '<div class="form-item ">'
				html +=		'<span class="form-item-header">'
				html +=			'人员编号'
				html +=		'</span>'
				html +=		'<div class="form-item-body">'
				html +=			'<div class="form-control-static">'
				html +=				v.MbrNo		
				html +=			'</div>'
				html +=		'</div>'
				html +='</div>'
				html +='<div class="form-item">'
				html +=		'<span class="form-item-header">'
				html +=			'征税机关代码'
				html +=		'</span>'
				html +=		'<div class="form-item-body">'
				html +=			'<div class="form-control-static">'
				html +=				v.SctrCd
				html +=			'</div>'
				html +=		'</div>'
				html +='</div>'
				html +='<div class="form-item">'
				html +=		'<span class="form-item-header">'
				html +=			'征税机关名称'
				html +=		'</span>'
				html +=		'<div class="form-item-body fillRright">'
				html +=			'<div class="form-control-static">'
				html +=				v.InstNm
				html +=			'</div>'
				html +=		'</div>'
				html +='</div>'
				
				if(v['Jfxzxxlist'][0]['PrjCd'] == '10212'){
					html +='<div class="form-item form-item-noline payGrade">'
					html +=		'<span class="form-item-header">'
					html +=			'缴费档次'
					html +=		'</span>'
					html +=		'<div class="form-item-body">'
					html +=			'<div class="form-control-static text-gold">'
					html +=				'缴费金额按照当年标准执行'
					html +=			'</div>'
					html +=		'</div>'
					html +='</div>'
				}else if(v['Jfxzxxlist'][0]['PrjCd'] == '10210'){
					html +='<div class="form-item form-item-noline choiceAmt payGrade">'
					html +=		'<span class="form-item-header">'
					html +=			'缴费档次'
					html +=		'</span>'
					html +=		'<div class="form-item-body">'
					html +=			'<div class="form-control-static selectedAmt">'
					html +=				'请选择缴费档次'
					html +=			'</div>'
					html +=		'</div>'
					html +=		'<span class="form-group-icon arrowdown"></span>'
					html +='</div>'
				}
				
			});
			
			var html1 = '';
			var html2 = '';
			
			if(this.option.list2.length == 1){
				if(this.option.list2[0]['Jfxzxxlist'][0]['PrjCd'] == '10210'){
					
					html1 += '<div class="form-header">'
					html1 += 	'<div class="form-header-inner">'
					html1 +=		'<span class="form-header-left">'
					html1 +=			'<img src="../../images/icon_medical.png" alt="" />'
					html1 +=		'</span>'
					html1 +=		'<div class="form-header-right">'
					html1 +=			'医疗保险'
					html1 +=		'</div>'
					html1 +=	'</div>'
					html1 += '</div>'
					
					html1 +=	'<div class="form-item-nothing">'
					html1 +=		'未查询到您有医疗保险参保信息'
					html1 += 	'</div>'
					
					html2 = html1 + html
				}else if(this.option.list2[0]['Jfxzxxlist'][0]['PrjCd'] == '10212'){
					
					html1 += '<div class="form-header">'
					html1 += 	'<div class="form-header-inner">'
					html1 +=		'<span class="form-header-left">'
					html1 +=			'<img src="../../images/icon_older.png" alt="" />'
					html1 +=		'</span>'
					html1 +=		'<div class="form-header-right">'
					html1 +=			'养老保险'
					html1 +=		'</div>'
					html1 +=	'</div>'
					html1 += '</div>'
					
					html1 +=	'<div class="form-item-nothing">'
					html1 +=		'未查询到您有养老保险参保信息'
					html1 += 	'</div>'
					
					html2 =  html + html1
				}
				
			}else{
				html2 = html
			}
			
			$('#list2').append(html2);
			
			$('#step2').addClass('mui-hidden');
			$('#step3').removeClass('mui-hidden');
		},
		queryAcc: function(){
			var _this = this;
			
			this.accPicker = new mui.PopPicker();
			
			$.bs.getBankCards(
				{
					"secAccFlag":"00"
				},
				'selectBoundCard4Mb.do',
				function(res){
					//_this.curAcc = $.bs.format.dealAccountHideFour(res[0].value);
					//_this.cardNo = res[0].value;
					
					_this.accPicker.setData(res);
				}
			);
		},
		choiceCard: function(){
			var _this = this;
			
			this.accPicker.show(function(items) {
				_this.curAcc = $.bs.format.dealAccountHideFour(items[0]['value']);
				_this.cardNo = items[0]['value'];
				
				$('#curAcc').text(_this.curAcc);
			});
		},
		choiceAmt: function(callback){
			var _this = this;
			if(!this.amtPicker){
				var data = [];
				var arr = this.olderAmt.split('|');
								
				$.each(arr, function(k, v){
					var obj = {
						value: v,
						text: v
					};
					
					data.push(obj);
				});
				
				this.selectedAmt = data[0].value;
				
				this.amtPicker = new m.PopPicker();
				this.amtPicker.setData(data);
			}
			
			var _this = this;
			
			this.amtPicker.show(function(res) {
				callback.call(_this, res)
			});
		},
		toSend: function(){
			var isChoiceAmt = false;
			
			$.each(this.option.list2, function(k, v){
				if(v['Jfxzxxlist'][0]['PrjCd'] == '10210'){
					if(v['PylAmt']){
						isChoiceAmt = true;
					}
				}
			})
			
			if(this.option.list_10210.length > 0 ){
				if(!isChoiceAmt){
					mui.alert("请选择缴费档次");
					return 
				}
			}
			
			if(!this.cardNo){
				mui.alert('请选择签约账号');
				return ;
			}
			
			$('#step3').addClass('mui-hidden');
			$('#step4').removeClass('mui-hidden');
			
		}, 
		sendSMS: function(){
			if($('#sendSMSBtn').hasClass('disabled')){
				return 
			}
			
			$('#sendSMSBtn').countdown('start');
			
			var mobileNo = plus.storage.getItem('phone');
			
			var data = {
				"memberUUID": plus.storage.getItem("memberUUID"),
				"APP_UUID": plus.device.uuid,
				"customerId": plus.storage.getItem("memberInfoId"),
				"tranCode": "NP101036",
				"messageType": "socialSign",
				"mobileNo": mobileNo
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + 'sendSMSCodeCommon.do',
				data: data,
				processResponse: function(res){
					if(res.ec != '0'){
						if (res.ed !== '' && res.ed !== undefined) {
							var btnArray = ['确定', '详情'];
									
							mui.confirm(res.em, '温馨提示', btnArray, function(e) {
								if(e.index == 1) {
									mui.alert(res.ed);
								}
							});
									
						} else {
							mui.alert(res.em);
						}
						
						$('#sendSMSBtn').countdown('end');
					}
				},
				selfdefineFailed: function(res){
				}
			});
		},
		sendData: function(){
			var _this = this;
			
			$('#SMSCode').validator();
			
			if(!$('#SMSCode').data('bs.validator').check().passed){
				return ;
			}
			
			if(!$('#Pwd').val()){
				mui.alert('密码不能为空');
				return ;
			}
			
			if(!$('#agreeDeal').is(':checked')){
				m.alert('请阅读协议')
				return;
			}
			
			var data = {
				"PymtAcctNo": this.cardNo,
				"SMSCode": $("#SMSCode").val(),
				"payPassword": $("#Pwd").attr('pass'),
				"SeqNo": this.SeqNo,
				"IdentNo": $("#IdentNo").val(),
				"Nm": $("#Nm").val(),
				"iCfrmPayAmtList.CtcPrsnNo": [],
				"iCfrmPayAmtList.PrjCd": [],
				"iCfrmPayAmtList.CollCtlgCd":[],
				"iCfrmPayAmtList.CollSubCd":[],
				"iCfrmPayAmtList.PylAmt":[],
				"iCfrmPayAmtList.OprtBranchId":[],
				"iCfrmPayAmtList.SctrCd": [],
				"iCfrmPayAmtList.InstNm": [],
				"memberUUID": plus.storage.getItem("memberUUID"),
				"APP_UUID": plus.device.uuid,
				"customerId": plus.storage.getItem("memberInfoId")
			};
			
			$.each(this.option.list2, function(k, v){
				data['iCfrmPayAmtList.CtcPrsnNo'].push(v['MbrNo']);
				data['iCfrmPayAmtList.PrjCd'].push(v['Jfxzxxlist'][0]['PrjCd']);
				data['iCfrmPayAmtList.CollCtlgCd'].push(v['Jfxzxxlist'][0]['CollCtlgCd']);
				data['iCfrmPayAmtList.CollSubCd'].push(v['Jfxzxxlist'][0]['CollSubCd']);
				data['iCfrmPayAmtList.PylAmt'].push(v['PylAmt'] || '');
				data['iCfrmPayAmtList.OprtBranchId'].push(v['BranchId1']);
				data['iCfrmPayAmtList.SctrCd'].push(v['SctrCd']);
				data['iCfrmPayAmtList.InstNm'].push(v['InstNm']);
			});
			
			$.bs.ajax({
				url: ut.netPayUrl + 'tsPaymentSignMb_V2.do',
				data: data,
				traditional: true,
				processResponse: function(res){
					_this.openResWindow(res);
				}
			});
		},
		openResWindow: function(res){
			
			//iCfrmPayAmtList_10212   医疗保险确认列表
			//iCfrmPayAmtList_10210   养老保险确认列表
			
			var data = {
				list_10212: JSON.stringify(res.iCfrmPayAmtList_10212),
				list_10210: JSON.stringify(res.iCfrmPayAmtList_10210)
			}
			
			$.bs.openWindowByLoad(
				"signedResult1.html",
				"signedResult1",
				"pop-in",
				data
			);
		}
	}
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		
		var Nm = ws.custName;
		var IdentNo = ws.certNo;
		
		var signManage = new SignManage('#SignManage' , {
			Nm: Nm,
			IdentNo: IdentNo
		});
		
		$('#queryBtn').on('tap', function(){
			signManage.query();
		});
		
		$('#checkedBtn').on('tap', function(){
			signManage.confirmData();
		});
		
		$('#list2').on('tap', '.choiceAmt', function(){
			var _this = this;
			var i = $(this).index('.payGrade');
					
			signManage.choiceAmt(function(res){
				$(_this).find('.selectedAmt').text(res[0].text);
				signManage.option.list2[i]['PylAmt'] = res[0].value;
			})
		});
		
		$('#choiceCard').on('tap', function(){
			signManage.choiceCard();
		});
		
		$('#confirmBtn').on('tap', function(){
			signManage.toSend();
		})
		
		$('#sendSMSBtn').on('tap', function(){
			signManage.sendSMS();
		});
		
		$('#sendDataBtn').on('tap', function(){
			signManage.sendData();
		});
		
		$('#deal-info').on('click', function(){
			$.bs.openWindowByLoad(
				"../agreement/agr_socialsercurity.html",
				"agr_socialsercurity",
				"pop-in",
				{}
			);
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
}(mui, jQuery))
