(function($, m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var InputPW = function(){
		this.init.apply(this, arguments);
	};
	
	InputPW.prototype = {
		init: function(el, options){
			this.el = el;
			this.options = $.extend({}, options) ;
			this.data = {};
			
			this.createData();
			
			$.bs.getSrandNumber('', function(ranKey){
				var srandNumber = ranKey;
				$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
			});
			
			var data = $.bs.postionSystem().getData();
				
			this.address = data.province + data.city + data.district;
		},
		createData: function(){
			if (this.options.isSetFlag == '0') {
				this.data.isSetPwd = true;
			} else {
				this.data.isSetPwd = false;
			}
			
			if (this.options.certFlag == '1') {
				this.data.cert = true ; 
			} else {
				this.data.cert = false ;
			}
		},
		update: function(options){
			this.options = $.extend(this.options, options);
			this.createData();
		},
		tester: function(att){
			var not = /^!+/.test(att);
				
			if (not) {
				att = att.replace(/^!+/ , '');
			}
			
			if ( this.data[att] == undefined ) {
					return false ;
			}
			
			if( this.data[att] == not){
				return false ;
			} 
			
			return true;
		},
		render: function(){
			var _this = this;
			
			this.el.find('[bs-show]').each(function(){
				var att = $(this).attr('bs-show');
				var ts = _this.tester(att) ;
				
				if(ts){
					if($(this).hasClass('mui-hidden')){
						$(this).removeClass('mui-hidden');
					}
				} else {
					if(!$(this).hasClass('mui-hidden')){
						$(this).addClass('mui-hidden');
					}
				}
			});
		},
		checker: function(){
			if(!$('#dealPwd').attr('pass')){
				mui.alert('请输入交易密码') ;
				return false ;
			}
			
			if(!$('#dealConfirmPwd').attr('pass')){
				mui.alert('请确认交易密码') ;
				return false ;
			}
			
			if( this.data.isSetPwd == true ) {
				if(!$('#Pwd').attr('pass')){
					mui.alert('请输入支付密码') ;
					return false ;
				}
			} else {
				if(!$('#setPwd').attr('pass')){
					mui.alert('请输入支付密码') ;
					return false ;
				}
				
				if(!$('#confirmPassword').attr('pass')){
					mui.alert('请确认支付密码') ;
					return false ;
				}
			}
			
			if(!$('#agreeDeal').is(':checked')){
				mui.alert('请阅读协议')
				return false;
			}
			
			return true ;
		},
		sendData: function(){
			if(!this.checker()){
				return false ;
			}
			
			var app_imei;
			
	        if('iOS' == plus.os.name){
	        	var ver = (navigator.appVersion).match(/OS (\d+)_(\d+)_?(\d+)?/);
	            
	            if(ver>9){
	            	app_imei = plus ? plus.device.imei : '';
	            }else{
	              app_imei=''
	            }
	         } else {
	         	app_imei = plus.device.imei;
	         }
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				flowNo: this.options.flowNo,
				dealPwd: $('#dealPwd').attr('pass'),
				dealConfirmPwd: $('#dealConfirmPwd').attr('pass'),
				address: this.address,
				IMEI: app_imei
			}
			
			if (this.data.isSetPwd == true){
				data.password =$('#Pwd').attr('pass');
			} else {
				data.password =$('#setPwd').attr('pass');
				data.confirmPassword = $('#confirmPassword').attr('pass');
			}
			
			$.bs.ajax({
				url: ut.netPayUrl + 'openThAcctMb.do',
				data: data,
				processResponse: function(res){
					var data = {
						flowNo: res.flowNo,
						custName: res.custName,
						openDate: res.openDate,
						cardNo: res.cardNo,
						mobileNo: res.mobileNo,
						thAcct: res.thAcct,
						OrgNo: res.OrgNo,
						OrgName: res.OrgName,
						OrgStn: res.OrgStn,
						boundCardStt: res.boundCardStt
					};
					
					$.bs.openWindowByLoad(
						"createAccResult.html",
						"createAccResult",
						"pop-in", 
						data
					);
				}
			})
		}
	};
	
	function _ready() {
		var inputPW = new InputPW($('#vn'), {});
		var ws = {};
		
		if(isWebApp){
			ws = plus.webview.currentWebview();
		}
		
		inputPW.update({
			flowNo: ws.flowNo || '',
			isSetFlag: ws.isSetFlag || '1',
			certFlag: ws.certFlag || '0'
		});
		
		inputPW.render();
		
		$('#sendBtn').on('tap', function(){
			inputPW.sendData();
		});
		
		$('#deal-info').on('click', function(){
			$.bs.openWindowByLoad("../agreement/agr_typeTwoRule.html", "agr_typeTwoRule", "pop-in",{});
		});
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui);