(function($, m){
	var isWebApp;
	
	if(mui.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var tpl = function(s, o) {
		var SUBREGEX = /\{\s*([^|}]+?)\s*(?:\|([^}]*))?\s*\}/g;
		    	
		return s.replace ? s.replace(SUBREGEX, function (match, key) {
		    return typeof o[key] === 'undefined' ? match : o[key];
		}) : s;
	};
	
	var InputUserMsg = function(){
		this.init.apply(this, arguments);
	};
	
	InputUserMsg.prototype = {
		init: function(el, options){
			this.el = el;
			this.data = {};
			
			this.options = $.extend({}, options);
			
			this.queryThDataInfo();
		},
		updata: function(options){
			this.options = $.extend(this.options, options);
		},
		queryThDataInfo: function(){
			var _this = this; 
			
			$.bs.ajax({
				url: ut.netPayUrl + 'queryThDataInfo.do',
				data: {
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				},
				processResponse: function(res){
					_this.iAddrCode = res.iAddrCode || '' ;
					_this.certFlag = res.certFlag || '' ;
					_this.custName = res.custName || '' ;
					_this.certNo = res.certNo || '' ;
					_this.iBoundCardList = res.iBoundCardList || "";
					_this.createData();
					_this.render();
				},
				wait: true
			});
		},
		createData: function(){
			if(this.certFlag == '1'){
				this.data.cert = true ; 
				this.data.dealCustNameNoHide = $.bs.format.dealUserNameNoHide(this.custName);
				this.data.hideIDNumberMid = $.bs.format.hideIDNumberMid(this.certNo);
			} else {
				this.data.cert = false ;
			}
			
			if(this.iBoundCardList != '' && this.iBoundCardList.length > 0 ){
				this.data.BoundCard = true ; 
			} else {
				this.data.BoundCard = false ; 
			}
		},
		tester: function(att){
			var not = /^!+/.test(att);
				
			if (not) {
				att = att.replace(/^!+/ , '');
			}
			
			if ( this.data[att] == undefined ) {
				return false ;
			}
			
			if( this.data[att] == not){
				return false ;
			} 
			
			return true;
		},
		render: function(){
			var _this = this;
			
			this.el.find('[bs-show]').each(function(){
				var att = $(this).attr('bs-show');
				var ts = _this.tester(att) ;
				
				if(ts){
					if($(this).hasClass('mui-hidden')){
						$(this).removeClass('mui-hidden');
					}
				} else {
					if(!$(this).hasClass('mui-hidden')){
						$(this).addClass('mui-hidden');
					}
				}
			});
			
			var html = this.el.html();			
			var str = tpl(html, this.data);
			
			this.el.empty().html(str);
			this.el.removeClass('mui-hidden');
		},
		choiceCardNo: function(){
			var _this = this;
			
			if(!this.cardNoPicker){
				var data = [];
				
				$.each(this.iBoundCardList, function(k, v){
					var obj = {
						text: '尾号' + '('+v.boundCardNo.substr(-4, 4)+')',
						value: v.boundCardNo
					};
					
					data.push(obj);
				});
				
				this.cardNoPicker = new mui.PopPicker();
				this.cardNoPicker.setData(data);
			}
			
			this.cardNoPicker.show(function(items) {
				_this.cardNo = items[0]['value'] ;
				$('#choiceCardNo').find('.form-control-static').text(items[0]['text']) ;
			});
		},
		choiceAddr: function(){
			var _this = this;
			
			if(!this.iAddrCodeArr){
				zTree._getData('1', this.iAddrCode);
				this.iAddrCodeArr = zTree._getTree();
			}
			
			if (!this.iAddrCodePicker){
				this.iAddrCodePicker = new m.PopPicker({
					layer: 3
				});
				
				this.iAddrCodePicker.setData( this.iAddrCodeArr );
			}
			
			this.iAddrCodePicker.show(function(items) {
				_this.CurAddr = $.bs._getParam(items[0], 'text') + $.bs._getParam(items[1], 'text') + $.bs._getParam(items[2], 'text');
				_this.openCity = $.bs._getParam(items[1], 'value');
				_this.openArea = $.bs._getParam(items[2], 'value');
				
				$('#currAddr').text(_this.CurAddr);
				
				var data = {
					'type': 'checkArea',
					'token': _this.openArea
				}
				
				_this.getOpenNode(data).then( (res) => {
					$('#openNode').text(_this.openNodeName)
				} );
			});
		},
		getOpenNode: function(params){
			var _this = this;
			var appUrl = "";
			var data = {};
			
			data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			};
			
			if (params.type == 'checkArea') {
				appUrl = ut.netPayUrl + 'checkAreaOpenNode.do';
				data.addrcountry = params.token;
			} else {
				appUrl = ut.netPayUrl + 'checkTellerOpenNode.do';
				data.inviteCode = params.token;
			}
			
			var p = new Promise((resolve, reject) => {
				$.bs.ajax({
					url: appUrl,
					data: data,
					processResponse: function(res){
						_this.openNode = res.openNode;
						_this.openNodeName = res.openNodeName;
						resolve(res.openNodeName);
					}
				})
			});
			
			return p;
		},
		checker: function(){
			
			$('#userName').validator();
			$('#userID').validator();
			$('#mobileNo').validator();
			$('#SMSCode').validator();
			$('#cardNo').validator();
			$('#inviteCode').validator();
			
			if (this.data.cert == false) {		
				if(!$('#userName').data('bs.validator').check().passed){
					return false ;
				}
				
				if(!$('#userID').data('bs.validator').check().passed){
					return false ;
				}
			}
			
			if(!$('#mobileNo').data('bs.validator').check().passed){
				return false ;
			}
			
			if(!$('#SMSCode').data('bs.validator').check().passed){
				return false;
			}
			
			if (this.data.BoundCard == false) {
				if(!$('#cardNo').data('bs.validator').check().passed){
					return false;
				}
				
				if(!$('#inviteCode').data('bs.validator').check().passed){
					return false;
				}
			} else {
				if(!this.cardNo){
					mui.alert('请选择卡号');
					return false;
				}
			}
			
			return true;
		},
		sendData: function(){
			if(!this.checker()){
				return 
			}
			
			var _this = this;
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				SMSCode: this.SMSCode,
				mobileNo: this.mobileNo,
				custName: this.custName,
				certNo: this.certNo,
				cardNo: this.cardNo,
				openNode: this.openNode || "",
				openCity: this.openCity || "",
				openArea: this.openArea || "",
				inviteCode: this.inviteCode || "",
			}
			
			$.bs.ajax({
				url: ut.netPayUrl + 'registerInfo.do',
				data: data,
				processResponse: function(res){
					_this.flowNo = res.flowNo ;
					_this.certFlag = res.certFlag ;
					_this.isSetFlag = res.isSetPwd ; 
					
					if (_this.certFlag == '0') {
						_this.scanIDCard() ;
						return ;
					}
					
					_this.setPw() ;
				}
			})
		},
		sendSMS: function(){
			$('#sendSMSBtn').countdown('start');
			
			$.bs.ajax({
				url: ut.netPayUrl + 'sendSMSCodeCommon.do',
				data: {
					"memberUUID": plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid,
					"customerId": plus.storage.getItem("memberInfoId"),
		   			"tranCode": "NP101038",
					"messageType": "thAcctSMS",
					"mobileNo": this.mobileNo
				},
				processResponse: function(res){
					
				},
				selfdefineFailed: function(res){
					$('#sendSMSBtn').countdown('end');
				}
			});
		},
		scanIDCard: function(){
			$.bs.openWindowByLoad(
				"checkUserMsg.html",
				"checkUserMsg",
				"pop-in", {
					flowNo: this.flowNo
				}
			);
		},
		setPw: function(){
			$.bs.openWindowByLoad(
				"inputPW.html",
				"inputPW",
				"pop-in", {
					flowNo: this.flowNo,
					isSetFlag: this.isSetFlag,
					certFlag: this.certFlag
				}
			);
		}
	};
	
	function _ready() {
		var inputUserMsg = new InputUserMsg($('#vn'), {});
		
		$(document).on('tap', '#choiceCardNo',function(){
			inputUserMsg.choiceCardNo();
		});
		
		$(document).on('tap', '#choiceAddr',function(){
			inputUserMsg.choiceAddr();
		});
		
		$(document).on('tap', '#sendSMSBtn',function(){
			
			if($('#sendSMSBtn').hasClass('disabled')){
				return 
			}
			
			var mobileNo = $('#mobileNo').val();
			
			inputUserMsg.mobileNo = mobileNo;
			
			inputUserMsg.sendSMS();
		});
		
		$(document).on('tap', '#sendBtn',function(){
			if (inputUserMsg.data.cert == false) {
				inputUserMsg.custName = $('#userName').val();
				inputUserMsg.certNo = $('#userID').val();
			}
			
			inputUserMsg.SMSCode = $('#SMSCode').val();
			inputUserMsg.mobileNo = $('#mobileNo').val();
			
			if (inputUserMsg.data.BoundCard == false) {
				inputUserMsg.cardNo = $('#cardNo').val();
				inputUserMsg.inviteCode = $('#inviteCode').val();
			}
			
			inputUserMsg.sendData();
		});
		
		$(document).on('input', '#inviteCode',function(){
			var val = $(this).val();
			
			if(val.length < 6){
				return 
			}
			
			var data = {
				'type': 'checkTeller',
				'token': val
			}
			
			inputUserMsg.getOpenNode(data).then( (res) => {
				$('#openNode').text(res);
				inputUserMsg.inviteCode = data.token;
			} );
		})
	}
	
	if(isWebApp){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}	
})(jQuery, mui);