(function(m, $, doc, win){
	var isWebApp;
	
	if(m.os.plus){
		isWebApp = true;
	}else{
		isWebApp = false;
	}
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var OrderBy = function(){
		this.init.apply(this, arguments);
	};
	
	OrderBy.prototype = {
		init: function(el, options){
			//this.el = $(el);
			//this.options = $.extend({}, options);
		},
		render: function(callback){
			$.bs.ajax({
				url: ut.netPayUrl + 'queryPayCardsMb.do',
				data: {
					customerId: plus.storage.getItem('memberInfoId'),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				},
				processResponse: function(res){
					$('#sortable').empty();
					var html = '';
					
					$.each(res.iBoundCardList, function(key, value){
						html = '<div class="list-item sortable-handle">' +
									'<div class="item" data-cardno=' + value.boundCardNo + '>' +
										'<div class="list-item-right mui-icon mui-icon-bars sort-bar">' +
										'</div>' +
										'<div class="list-item-left">' +
											value.boundCardName  +
										'</div>'+
									'</div>'+
								'</div>';
						$('#sortable').append(html);
					});
					
					if(callback) {
						callback(res) ;
					}
				},
				wait: true
			});
		},
		querySwitchState: function(callback){
			$.bs.ajax({
				url: ut.netPayUrl + 'queryPayOrderSwitchMb.do',
				data: {
					customerId: plus.storage.getItem('memberInfoId'),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				},
				processResponse: function(res){
					if(callback) {
						callback(res) ;
					}
				},
				wait: true
			});
		},
		setSwitchState: function(option){
			var P = new Promise((resolve, reject) => {
				$.bs.ajax({
					url: ut.netPayUrl + 'setPayOrderSwitchMb.do',
					data: {
						customerId: plus.storage.getItem('memberInfoId'),
						memberUUID: plus.storage.getItem("memberUUID"),
						APP_UUID: plus.device.uuid,
						optionFlag: option.optionFlag,
						firstFlag: option.firstFlag
					},
					processResponse: function(res){
						resolve(res);
					},
					wait: true
				});
			});
			
			return P
		},
		sendData: function(callback){
			var data = {
				customerId: plus.storage.getItem('memberInfoId'),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			}
			
			data['iBoundCardList.boundCardNo'] = [] ;
			data['iBoundCardList.payIndex'] = [] ;
			
			$('#sortable').find('.item').each(function(){
				var cardNo = $(this).data('cardno') ;
				var index = $(this).attr('index') ;
				
				data['iBoundCardList.boundCardNo'].push(cardNo) ;
				data['iBoundCardList.payIndex'].push(index) ;
			});
			
			$.bs.ajax({
				url: ut.netPayUrl + 'setPayOrderMb.do',
				data: data,
				traditional: true,
				processResponse: function(res){
					if(callback) {
						callback() ;
					}
				},
				wait: true
			});
		}
	};
	
 	function domReady(){
 		var userDefinedPayBtn = document.getElementById('userDefinedPayBtn');
 		var priorityModeBtn = document.getElementById('priorityModeBtn');
 		
 		var orderBy = new OrderBy('', '');
 		
 		orderBy.render(function(res){
 			$('#sortable').find('.item').sortable();
 			
 			if (res.optionFlag == '1') {
				userDefinedPayBtn.classList.add('mui-active');
				$('#sortable').find('.item').sortable('start');
			} else {
				userDefinedPayBtn.classList.remove('mui-active');
				$('#sortable').find('.item').sortable('stop');
			}
			
			if (res.firstFlag == '1') {
				priorityModeBtn.classList.add('mui-active');
			} else {
				priorityModeBtn.classList.remove('mui-active');
			}
 		});
 		
 		
 		
 		var old_back = m.back;
		
		m.back = function () {
			orderBy.sendData(function(){
				var data = {
					'optionFlag': userDefinedPayBtn.classList.contains('mui-active') ? '1' : '0',
					'firstFlag': priorityModeBtn.classList.contains('mui-active') ? '1' : '0'
				}
				
				orderBy.setSwitchState(data).then( (res) => {
					old_back();
				})
			});
		};
		
		userDefinedPayBtn.addEventListener('toggle', function(event) {
			if (event.detail.isActive) {
				$('#sortable').find('.item').sortable('start');
			} else {
				$('#sortable').find('.item').sortable('stop');
			}
		});
 	}
	
	if(isWebApp){
		m.plusReady(domReady);
	}else{
		m.ready(domReady);
	}
})(mui, jQuery ,document, window)
