(function($, m, win){
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	var vn = new Vue({
		el: '#vn',
		data: {
			'balanceAvailableRe': '',
			'Account': '',
			'CardNo':'',
			'OrgStn':'',
			'mobileNo':'',
			'isBinding': '',
			'isBindingThAcct': '',
			'Count': '',
			'backCardType':'',
			'isBindingTypeTwoAcc': '',
			'secAcct': '',
			'thAcct': '',
			'thBalance':'',
			'isReady': false,
			'sortArr': []
		},
		methods: {
			init: function(){
				$('.img-responsive').autoScaling({});
			},
			refresh: function(){
				var _this = this;
				
				checkBindTypeTwoAcc.checkTypeTwoAccBySet(function(){
					var data = checkBindTypeTwoAcc.getData();
					
					_this.isBinding = data.isBindingTypeTwoAcc == true ? true : false;
					
					checkBindTypeTwoAcc.check(function(){
						var data = checkBindTypeTwoAcc.getData();
					
						_this.balanceAvailableRe = data.balanceAvailableRe;
						_this.Account = data.Account;
						_this.CardNo = data.CardNo;
						_this.OrgStn = data.OrgStn;
						_this.mobileNo = data.mobileNo;
						_this.Count = data.Count;
						_this.bankCardType = data.bankCardType;
						
						m.fire(plus.webview.getWebviewById('views/main/mine.html'), 'reflash');
					});
				});
				
				checkBindTypeThAcc.checkTypeThAcc(function(){
					var data = checkBindTypeThAcc.getData();
					
					_this.isBindingThAcct = data.isBindingTypeThAcc == '1' ? true : false;
					_this.secAcct = data.secAcct;
					_this.thAcct = data.thAcct;
					_this.thBalance = data.thBalance;
					
					var arr = [
						'isBindingTypeTwoAcc',
						'isBindingTypeThAcc'
					];
					
					if (data.isBindingTypeThAcc == '1' && data.isBindingTypeTwoAcc == '0'){
						arr = arr.reverse();
					}
					
					_this.sortArr = arr;
					
					var slider = m("#slider");
					
					setTimeout(function(){
						slider.slider({
							interval: 0
						});
					}, 600);
				});
			},
			openAcc: function(){
				$('#modal1').modal({
					tips: '请您确认，是否需要开立晋享互联网账户（二类户），您也可以通过下方的“银行卡”功能，添加山西农信银行卡完成相关缴费、理财等功能。',
					onSubmit: function(){
						$.bs.openWindowByLoad(
							"../secondTypeAcc/checkUserState.html",
							"checkUserState",
							"pop-in", {
						});
					}
				});
		
				$('#modal1').modal('show');
			
				
				
			},
			accManage: function(accType){
				var data = {};
				
				if(accType == '3'){
					data.accType = accType;
				} else {
					data.balanceAvailableRe = this.balanceAvailableRe;
					data.Account = this.Account;
					data.CardNo = this.CardNo;
					data.OrgStn = this.OrgStn;
					data.mobileNo = this.mobileNo;
					data.Count = this.Count;
				}
				
				m.openWindow({
					url: "../secondTypeAcc/accDetails.html",
					id: "accDetails",
					extras: data
				});
			},
			unPaySignCheck: function(callback){
				var _this = this;
				
				if(this.bankCardType === '0'){
					callback();
				}else {
					$.bs.ajax({
						url: ut.netPayUrl + 'unPaySignCheck.do',
						data: {
							cardNo: this.CardNo,
							Account: this.Account
						},
						processResponse: function(res){
							if(res.state == '00'){
								callback();
							} else {
								m.openWindow({
									url: "../secondTypeAcc/accSign.html",
									id: "accSign",
									extras: {
										cardNo: _this.CardNo,
									}
								});
							}
						},
						wait: true
					});
				}
			},
			thUnPaySignQuery: function(callback){
				var _this = this;
				
				$.bs.ajax({
					url: ut.netPayUrl + 'thUnPaySignQueryMb.do',
					data: {
						customerId: plus.storage.getItem("memberInfoId"),
						memberUUID: plus.storage.getItem("memberUUID"),
						APP_UUID: plus.device.uuid
					},
					processResponse: function(res){
						if( res.signFlag == '0' ){
							m.openWindow({
								url: "../secondTypeAcc/accSign.html",
								id: "accSign",
								extras: {
									accType: '3'
								}
							});
						} else {
							callback();
						}
					},
					wait: true
				});
			},
			accInto: function(acc){ //转入（代收）
				var _this = this;
				
				var fn = function () {
					m.openWindow({
						url: "../secondTypeAcc/accInto.html",
						id: "accInto",
						extras: {
							Account: (acc != undefined) ? acc : _this.Account,
							mobileNo: _this.mobileNo,
							accType: (acc != undefined) ? "3" : "" 
						}
					});
				}
				
				if ( acc != undefined ) {
					this.thUnPaySignQuery(fn);
				} else {
					this.unPaySignCheck(fn);
				}
			},
			accTransfer: function(acc){ //转出（代付）
				var _this = this;
				
				m.openWindow({
					url: "../secondTypeAcc/accTransfer.html",
					id: "accTransfer",
					extras: {
						Account: (acc != undefined) ? acc : _this.Account,
						mobileNo: _this.mobileNo,
						accType: (acc != undefined) ? "3" : "" 
					}
				});
			},
			transferRecord: function(param){
				var _this = this;
				
				m.openWindow({
					url: "../secondTypeAcc/transferRecord.html",
					id: "transferRecord",
					extras: param
				});
			},
			createThAcc: function(){
				$.bs.openWindowByLoad(
					"../thirdTypeAcc/inputUserMsg.html",
					"inputUserMsg",
					"pop-in",
					{}
				);
			},
			hidAcct: function(acct, elem){
				if($(elem.currentTarget).hasClass('hid')){
					$(elem.currentTarget).removeClass('hid');
					$(elem.currentTarget).find('.btn-right').text(acct);
				}else{
					$(elem.currentTarget).addClass('hid');
					$(elem.currentTarget).find('.btn-right').text($.bs.format.dealAccountHideFour(acct));
				}
			}
		},
		computed: {
			formatAccNo: function(){
				return $.bs.format.toFomatBankNumber(this.Account);
			},
			hideAccount: function(){
				return $.bs.format.dealAccountHideFour(this.Account);
			},
			formatBalanceAvailableRe: function(){
				return $.bs.format.formatMoney(this.balanceAvailableRe);
			},
			hideThAcct: function(){
				return $.bs.format.dealAccountHideFour(this.thAcct);
			}
		}
	})
	
	function checkBindCardTypes(callback){
		$.bs.ajax({
			url: ut.emallUrl + "front/payCardAction_findCard",
			data: {
				customerId: plus.storage.getItem('memberInfoId'),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid
			},
			processResponse: function(res){
				var cards = {
					name: '银行卡'
				}
				
				$.each(res, function(k, v){
					if(v.boundCardType != "1"){
						cards.deposit = '1';
					}else{
						cards.credit = '1';
					}
				});
					
				callback(cards)
			},
			wait: true
		});
	}
	
	function _ready(){
		vn.init();
		
		var ws = {};
		
		if(mui.os.plus){
			ws = plus.webview.currentWebview();
		}
		
		vn.balanceAvailableRe = ws.balanceAvailableRe || '';
		vn.Account = ws.Account || '';
		vn.CardNo = ws.CardNo || '';
		vn.OrgStn = ws.OrgStn || '';
		vn.mobileNo = ws.mobileNo || '';
		vn.isBinding = ws.isBindingTypeTwoAcc == true ? true : false;
		vn.Count = ws.Count || '';
		vn.bankCardType = ws.bankCardType || '';
		vn.sortArr = ws.sortArr;
		
		vn.isReady = true;
		
		vn.refresh();
		
		win.addEventListener('refresh1',function(){
			vn.refresh();
		});
		
		//交易记录
		$('#dealRecord').on('tap', function(e){
			e.preventDefault();
			
			m.openWindow({
				url:"dealRecord_main.html",
				id:"dealRecord_main"
			});
		});
		
		//支付管理
		$("#payManagement").on("tap",function(e){
			m.openWindow({
				url:"safe_set.html",
				id:"safe_set"
			});
		});
		
		//帮助中心
		$("#helpCenter").on("tap",function(e){
			m.openWindow({
				url:"helpCenter.html",
				id:"helpCenter"
			});
		});
		
		//支付设置
		
		$("#paymentSecurity").on("tap",function(e){
			m.openWindow({
				url:"safe_set.html",
				id:"safe_set"
			});
		});
		
		//信用卡还款
		$('#creditcardRepay').on('tap', function(e){
			checkBindCardTypes(function(res){
				if(res.credit == '1' && res.deposit == '1'){
					m.openWindow({
						url:"../creditCard/creditcardRepay.html",
						id:"creditcardRepay"
					});
					
					return 
				}else if(res.credit == '1'){
					res.name = '储蓄卡';
				}else if(res.deposit == '1'){
					res.name = '信用卡';
				}
					
				var btnArray = ['取消', '确定'];
				
				m.confirm('暂无绑定' + res.name + '，是否前往绑定' + res.name + '？', '温馨提示', btnArray, function(e) {
					if (e.index == 1) {
						ut.setExtras('../login/addCard.html', 'addCard', {});
					}
				});
			});
		});
		
		//收款
		$("#receiveMoney").on("tap", function(){
			m.openWindow({
				url:"received.html",
				id:"received"
			});
		});
		
		//生活缴费
		$('#lifePay').on('tap', function(){
			m.fire(plus.webview.getWebviewById('index'), 'golife');
			
			setTimeout(function(){
				plus.webview.close(plus.webview.currentWebview(), "none");
			}, 500)
		});
		
		//投资理财
		$('#buyFinal').on('tap', function(){
			m.fire(plus.webview.getWebviewById('index'), 'gofina');
			
			setTimeout(function(){
				plus.webview.close(plus.webview.currentWebview(), "none");
			}, 500)
		});
		
		$("#walletPay").on("tap",function(){
			mui.openWindow({
				url:"pay.html",
				id:"wallet_pay"
			});
		});
		
		//银行卡
		$("#walletCard").on("tap",function(){
			ut.setExtras('../mine/card.html', 'have_add', {});						
		});
		
		//零钱
		$("#walletChange").on("tap",function(){
			ut.setExtras('wallet.html', 'wallet', {});						
		});
	}			
			
	if(mui.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(jQuery, mui, window);