(function(m, $, doc, win){
	mui.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function ChangePhoneNum() {
		this.init.apply(this, arguments) ;
	}
	
	ChangePhoneNum.prototype = {
		init: function(el, options){
			this.el = $(el);
			this.isAuth = false;
			this.options = {};
			this.options = $.extend(this.options, options);
			
			$('#newPhoneNum').validator();
			$('#inputCardNum').validator();
			$('#SMSCode').validator();
			
			this.checkUser();
		},
		checkUser: function(){
			var _this = this;
			
			$.bs.ajax({
				url: ut.netPayUrl + 'getUserAuthInfo4Mb.do',
				data: {
					customerId: plus.storage.getItem("memberInfoId"),
					memberUUID: plus.storage.getItem("memberUUID"),
					APP_UUID: plus.device.uuid
				},
				processResponse: function(res){
					if (res.customerNameCN || res.certNo) {
						_this.isAuth = true;
					} else {
						_this.isAuth = false;
					}
					
					_this.render();
				},
				wait: true
			});	
		},
		update: function(options){
			this.options = $.extend(this.options, options);
		},
		render: function(){
			if (this.isAuth == false) {
				$('#inputCardNum').closest('.form-item').removeClass('mui-hidden');
				
			} else if(this.isAuth == true) {
				$('#choiceCardNum').closest('.form-item').removeClass('mui-hidden');
				$('#Pwd').closest('.form-item').removeClass('mui-hidden');
				
				this.queryCards();
				
				$('#SMSCode').closest('.form-item').removeClass('form-item-noline');
				
				$.bs.getSrandNumber('', function(ranKey){
					var srandNumber = ranKey;
					$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
				});
				
			} else {
				
			}
			
			this.el.removeClass('mui-hidden');
			
		},
		queryCards: function(){
			var _this = this;
			
			this.accPicker = new mui.PopPicker();
				
			$.bs.getBankCards({
					"secAccFlag":"00"
				},
				'selectBoundCard4Mb.do',
				function(res){
					_this.curAcc = $.bs.format.dealAccountHideFour(res[0].value);
					_this.cardNo = res[0].value;
					
					var arr = [];
					
					$.each(res, function(k, v){
						arr.push(v);
					})
					
					var obj = {
						text: '输入卡号',
						value :'000000'
					};
					
					arr.push(obj);
					
					_this.accPicker.setData(arr);
				}
			);
		},
		getCard: function(){
			var _this = this;
			
			this.accPicker.show(function(items) {
				_this.cardNo = items[0]['value'];
				_this.curAcc = (_this.cardNo === '000000') ? '输入卡号' : $.bs.format.dealAccountHideFour(_this.cardNo);
				
				$('#choiceCardNum').find('.form-control-static').text(_this.curAcc);
				
				if(_this.cardNo === '000000'){
					if($('#inputCardNum').closest('.form-item').hasClass('mui-hidden')){
						$('#inputCardNum').closest('.form-item').removeClass('mui-hidden');	
					}
				} else {
					if(!$('#inputCardNum').closest('.form-item').hasClass('mui-hidden')){
						$('#inputCardNum').closest('.form-item').addClass('mui-hidden');
					}
				}
				
			});
		},
		checkNewPhone: function(phoneNum , succeed){
			var _this = this;
			
			if(!$('#newPhoneNum').data('bs.validator').check().passed){
				return ;
			}
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				mobileNo: phoneNum
			};
			
			$.bs.ajax({
				url: ut.netPayUrl + "queryNewPhoneCstMb.do",
				data: data,
				processResponse: function(res){
					if(res.ec == '0'){
						_this.myStatus = res.myStatus ;
						_this.hisStatus = res.hisStatus ;
						
						succeed.call(_this, res);
					} else if(res.ec == '01' || res.ec == '07'){
						mui.alert('您输入的新手机号码（' + phoneNum + '）已注册绑卡实名认证，不允许进行变更。');
					} else if(res.ec == '05'){
						var btnArray = ['取消', '确定'];
					
						mui.confirm('请您直接使用新手机号码注册晋享生活，点击确认进入注册页面。', '温馨提示', btnArray, function(e) {
							if(e.index == 1) {
								$.bs.openWindowByLoad(
									"../login/register.html",
									"register",
									"pop-in", {
								});
							}
						});
					}else {
						mui.alert(res.em);
					}
				},
				selfdefineFailed: function(){
					
				}
			});
		},
		sendSMS: function(mobileNo){
			if(!$('#newPhoneNum').data('bs.validator').check().passed){
				return false;
			}
			
			$('#sendSMSBtn').sendSMSCode({
				data:{
					"memberUUID": plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid,
					"customerId": plus.storage.getItem("memberInfoId"),
		   			"tranCode": "NP101040",
					"messageType": "mdPhone",
					"mobileNo": mobileNo
				}
			});
			
			$('#sendSMSBtn').sendSMSCode('send');
		},
		sendData: function(){
			var _this = this;
			
			if(!$('#newPhoneNum').data('bs.validator').check().passed){
				return 
			};
			
			if(this.isAuth == false){
				if(!$('#inputCardNum').data('bs.validator').check().passed){
					return 
				};
			}else if (this.isAuth == true){
				if(!this.cardNo){
					mui.alert('请选择卡号');
					return ;
				}else if(this.cardNo === '000000'){
					if(!$('#inputCardNum').data('bs.validator').check().passed){
						return 
					};
				}
				
				if(!$('#Pwd').val()){
					mui.alert('支付密码不能为空');
					return;
				}
			}else{
				return 
			}
			
			if(!$('#SMSCode').data('bs.validator').check().passed){
				return 
			};
			
			var _this = this;
			
			var data = {
				customerId: plus.storage.getItem("memberInfoId"),
				memberUUID: plus.storage.getItem("memberUUID"),
				APP_UUID: plus.device.uuid,
				mobileNo: $('#newPhoneNum').val(),
				SMSCode: $('#SMSCode').val()
			};
			
			if(this.isAuth == false){
				data.cardNo = $('#inputCardNum').val();
			}else if(this.isAuth == true){
				data.cardNo = (this.cardNo === '000000') ? $('#inputCardNum').val() : this.cardNo;
				data.payPassword = $('#Pwd').attr('pass')
			}
			
			$.bs.ajax({
				url: ut.netPayUrl + 'changeNewMobileMb.do',
				data: data,
				processResponse: function(res){
					if(res.ec == '0'){
						_this.mobileNo = res.mobileNo ;
						_this.hisStatus = res.hisStatus ;
						
						var data = {
							status: _this.myStatus,
							mobileNo: _this.mobileNo
						};
						
						mui.fire(plus.webview.getWebviewById('views/main/mine.html'), 'userExit');
						
						setTimeout(function(){
							$.bs.openWindowByLoad(
								"changePhoneNumRes.html",
								"changePhoneNumRes",
								"pop-in",
								data
							);
						}, 500)
					} /*else if (res.ec == '01') {
						mui.alert('实名信息校验不通过，请通过银行卡的开户行进行核对。');
						
						setTimeout(function(){
							plus.webview.close(plus.webview.currentWebview(), 'none');
						}, 1000)
						
						return ;
					}*/ else {
						mui.alert(res.em);
					}
				},
				selfdefineFailed: function(){
					
				}
			});
		}
	}
	
	function _ready(){
		var ws = '';
		
		if(m.os.plus){
			ws = plus.webview.currentWebview();
		}else{
			ws = {};
		}
			
		var changePhoneNum = new ChangePhoneNum('#changePhoneNum', {});
		
		$('#sendSMSBtn').on('tap', function(){
			var mobileNo = $('#newPhoneNum').val();
			
			changePhoneNum.checkNewPhone(mobileNo, function(){
				changePhoneNum.sendSMS(mobileNo);
			});
		});
		
		
		$('#choiceCardNum').on('tap', function(){
			changePhoneNum.getCard();
		});
		
		$('#sendDataBtn').on('tap', function(){
			var mobileNo = $('#newPhoneNum').val();
			
			changePhoneNum.checkNewPhone(mobileNo, function(){
				changePhoneNum.sendData();
			});
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)