(function(m, $, doc, win){
	function MallPay(){
		this.init.apply(this, arguments);	
	}
	
	MallPay.prototype = {
		init: function(option){
			var _this = this;
			
			this.options = {};
			this.selectedCard = null;
			this.cardsPicker = null;
	
			this.update(option);
			this.reader();
			
			this.getCards();
		},
		update: function(option) {
			this.options = $.extend(this.options, option);
		},
		reader: function(){
			$('#merCode').text(this.options.merCode);
			$('#merchantName').text(this.options.merchantName);
			$('#orderAmt').text(this.options.orderAmt);
			$('#orderNum').text(this.options.orderNum);
		},
		getCards: function(){
			var _this = this;
			
			this.cardsPicker = new mui.PopPicker();
			
			var data = {
				"secAccFlag":"01",
				"customerId": plus.storage.getItem("memberInfoId"),
				"memberUUID": plus.storage.getItem("memberUUID")
			};
				
			$.bs.ajax({
				url: ut.netPayUrl + 'selectBoundCard4Mb.do',
				data: data,
				processResponse: function(res){
					var data = [];
						
					if (res.ec == 0) {
						$.each(res.iBoundCardList,function(k,v){
							if(v.bankCardType != '1'){
								var obj = {
									text: v.boundCardBankName+'('+v.boundCardNo.substr(-4, 4)+')',
									value: v.boundCardNo,
								};
								
								data.push(obj);
							}
						})	
					}
	
					_this.cardsPicker.setData(data);
					_this.selectedCard = data[0].value ;
					
					$('#selectedCard').text(data[0].text);
				}
			});
		},
		choiceCard: function(){
			var _this = this;
			
			this.cardsPicker.show(function(items) {
				_this.selectedCard = items[0].value;
				$('#selectedCard').text(items[0].text);
			});
		},
		sendCard: function(){
			var data = {
				sign: this.options.sign ,
				token: this.options.token ,
				targetUrl: this.options.callbackUrl + '&' + 'account=' + this.selectedCard
			}
			
			m.fire(plus.webview.getWebviewById('flyingMallMain'), 'openFlyingMall2', data);
			
			setTimeout(function(){
				plus.webview.close(plus.webview.currentWebview(), "none");
			}, 1000)
		}
	};
	
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function _ready(){
		var ws = {};
		
		if(mui.os.plus){
			ws = plus.webview.currentWebview() ;
		}
		
		
		var data = {
			merCode: ws.merCode,
			merchantName: ws.merchantName,
			orderAmt: ws.orderAmt,
			orderNum: ws.orderNum,
			sign: ws.sign,
			token: ws.token,
			callbackUrl: ws.callbackUrl
		};
		
		var pay = new MallPay(data);
		
		$('#choiceCardBtn').on('tap', function(){
			pay.choiceCard();
		});
		
		$('#pay').on('tap', function(){
			pay.sendCard();
		});
		
		m.back = function(){
			m.fire(
				plus.webview.getWebviewById('flyingMallMain'),
				'openFlyingMall',
				{}
			);
		};
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)
