mui.init();
mui.plusReady(function() {
	var forget = {};
	var regExp = /^(1[1-9])[0-9]{9}$/; //验证手机号码格式
	forget.memberInfoId = plus.storage.getItem('memberInfoId');
	forget.userName = ut.getId("userName"); //用户名
	forget.idCard = ut.getId("idCard"); //证件类型
	forget.idNumber = ut.getId("idNumber"); //证件号码
	forget.chooseBank = ut.getId("chooseBank"); //选择银行
	forget.sta1 = ut.getId("sta1"); //选择银行卡类型---储蓄卡
	forget.sta2 = ut.getId("sta2");//选择银行卡类型---信用卡
	forget.untilDate = ut.getId("untilDate");  //信用卡有效日期
	forget.cvv2 = ut.getId("cvv2"); //信用卡后三位数字
	forget.bankCardNo = ut.getId("bankCardNo"); //银行卡号
	forget.kb1 = ut.getId("kb1"); //支付密码
	forget.kb2 = ut.getId("kb2"); //确认支付密码
	forget.phone = ut.getId("phone"); //银行预留手机号
	forget.getPhoneCode = ut.getId('getPhoneCode'); //获取手机验证码
	forget.setPhoneCode = ut.getId('setPhoneCode'); //验证码
	forget.bindConfirm = ut.getId("bindConfirm"); //提交按钮
	forget.ajaxUrl = ut.netPayUrl;

	forget.num = 60; //倒计时
	forget.timer = null; //计时器

	forget.init = function() {
		forget.check();
		forget.getMsgCode();
		forget.sure();
	};
	var payPasswordFlag = "0";
	//检查是否绑卡
	forget.check = function() {
		ut.ajax(forget.ajaxUrl + "getUserAuthInfo4Mb.do", {
			'customerId': forget.memberInfoId
		}, "json", "post", function(data) {
			if (data.customerNameCN || data.certNo) {
				forget.userName.value = data.customerNameCN;
				forget.idNumber.value = data.certNo;
				ut.setAttr(forget.userName, "disabled", "true");
				ut.setAttr(forget.idNumber, "disabled", "true");
				payPasswordFlag = "1";
			}
		});
	};
	
	//表单提交
	forget.sure = function() {
		forget.bindConfirm.addEventListener("tap", function() {
			var ed = 0;
			if( ut.getId("sta1").checked ){
				ed = 0;
			}else if( ut.getId("sta2").checked ){
				ed = 1;
			};
			var param = {
				'customerId': forget.memberInfoId,
				'customerNameCN': forget.userName.value,
				'certNo': forget.idNumber.value,
				'bankCardType': ed,
				'validDate':forget.untilDate.value,
				'cvv2': forget.cvv2.value,
				'cardNo': forget.bankCardNo.value,
				'mobileNo': forget.phone.value, //银行预留手机号
				'verifyCode': forget.setPhoneCode.value
			};
			if (!param.cardNo) {
				mui.toast("请输入正确银行卡号");
				return false;
			};
			if(!ut.getId("sta1").checked && !ut.getId("sta2").checked){
				mui.toast("请选择银行卡类型");
				return false;
			}
			if(ut.getId("sta2").checked && !param.validDate){
				mui.toast("请输入信用卡有效日期");
				return false;
			}
			if(ut.getId("sta2").checked && !param.cvv2){
				mui.toast("请输入信用卡后三位数字");
				return false;
			}
			
			if (payPasswordFlag == "0") { //首次绑定银行卡

				if (passGuard1.getLength() < 6) {
					mui.toast("支付密码必须为6位数字");
					return false;
				}
				if (passGuard2.getLength() < 6) {
					mui.toast("确认支付密码必须为6位数字");
					return false;
				}
				if (passGuard1.getHash() != passGuard2.getHash()) { //支付密码和确认支付密码不一致判断
					mui.toast("支付密码与确认支付密码两次输入不一致，请重新输入");
					return false;
				}

				if (param.verifyCode.length == 0) {
					mui.toast("验证码不能为空");
					return false;
				};
				

				//获取加密因子
				$.ajax({
					url: forget.ajaxUrl + "send_randkey?" + get_time(),
					type: "GET",
					async: false,
					success: function(ranKey) {
						passGuard1.setRandKey(ranKey);
						passGuard2.setRandKey(ranKey);

					}
				});

				param.payPassword = passGuard1.getOutput();
				param.confirmPassword = passGuard2.getOutput();

				ut.getId('kb1').value = '';
				ut.getId('kb2').value = '';

			}

			//param.customerNameCN = param.customerNameCN.replace(/^\s*|\s*$/g, ''); 
			param.certNo = param.certNo.replace(/^\s*|\s*$/g, '');
			param.cardNo = param.cardNo.replace(/^\s*|\s*$/g, '');
			param.mobileNo = param.mobileNo.replace(/^\s*|\s*$/g, '');
			param.verifyCode = param.verifyCode.replace(/^\s*|\s*$/g, '');

			ut.ajax(forget.ajaxUrl + "boundBankCard.do", param, 'json', "post", function(data) {
				if (data.ec == '0') {
					mui.toast('绑卡成功');
					ut.setExtras("addCardSuccess.html", "addCardSuccess.html");
				} else {
					mui.toast(data.em);
					ut.getId('kb1').value = '';
					ut.getId('kb2').value = '';
					return false;
				};
			});
		});
	};
	
	//获取手机验证码
	
	forget.getMsgCode = function() {
		forget.getPhoneCode.addEventListener("tap", function() {
			if (!forget.phone.value) {
				mui.toast("手机号码不能为空");
				return;
			};
			if (!regExp.test(forget.phone.value)) {
				mui.toast("请填写正确的手机号码");
				return;
			}
			
			var countdown = new Countdown('btn',{});
			countdown.start();
			
			var bb = {
				"mobileNo": forget.phone.value,
				"tranCode": "NP101005",
				messageType: 'boundNsBankCard'
			};
			
			
			ut.ajax(
				forget.ajaxUrl + 'sendSMSCodeCommon.do',
				bb,
				"json",
				"post",
				function(data) {
					if (data.ec === "0") {
						mui.toast("验证码已发送");
					}else{
						mui.alert(data.em,'温馨提示');
						countdown._reset();
						
						return;
					}
				}
			);
		});
	};
	forget.init();
});