(function(m, $, doc, win){
	m.init({
		swipeBack: true //启用右滑关闭功能
	});
	
	function Report() {
		this.init.apply(this, arguments);
	};
	
	Report.prototype = {
		init: function(el, options){
			_this = this;
			this.el = $(el);
			this.options = {};
			this.update(options);
			this.render();
			
			this.query();
		},
		update: function(option){
			this.options = $.extend(this.options, option);
		},
		render: function(){
			$('#userName').text(this.options.truename);
			$('#TlrNo').text(this.options.TlrNo);
		},
		createHtml: function(res){
			var _this = this; 
			
			var arr = [{
				orgNo1: res.XLSmaxmonthchargecount,
				nodNo1: res.JGmaxmonthchargecount, 
				org: res.monthchargesortregn,
				nod: res.monthchargesortorg
			},{
				orgNo1: res.XLSmaxmychargecount,
				nodNo1: res.JGmaxmychargecount,
				org: res.mychargesortregn,
				nod: res.mychargesortorg
			},{
				orgNo1: res.XLSmaxyestbindcardcount,
				nodNo1: res.JGmaxyestbindcardcount,
				org: res.yestbindcardsortregn,
				nod: res.yestbindcardsortorg
			},{
				orgNo1: res.XLSmaxtotalbindcardcount,
				nodNo1: res.JGmaxtotalbindcardcount,
				org: res.totalbindcardsortregn,
				nod: res.totalbindcardsortorg
			}];
			
			var html = '';
			
			$.each(arr, function(k, v){
				html += '<ul class="shelf-list">';
				html += 	'<li class="shelf-item">';
				html += 		''+ v.orgNo1 +'';	
				html +=		'</li>';
				html += 	'<li class="shelf-item">';
				html += 		''+ v.nodNo1 +'';	
				html +=		'</li>';
				html += 	'<li class="shelf-item">';
				html += 		''+ v.org +'';	
				html +=		'</li>';
				html += 	'<li class="shelf-item">';
				html += 		''+ v.nod +'';	
				html +=		'</li>';
				html += '</ul>';
			});
			
			$('#list').empty();
			
			$('#list').append(html)
		},
		query: function(){
			var _this = this;
			
			var data = {
				'TlrNo': this.options.TlrNo,
				'memberUUID': plus.storage.getItem("memberUUID"),
				'APP_UUID': plus.device.uuid,
				'customerId': plus.storage.getItem("memberInfoId"),
			}
			
			$.bs.ajax({
				url: ut.netPayUrl + 'jxshYJpmStatisticsReport.do',
				data: data,
				processResponse: function(res){
					_this.createHtml(res);
				}
			});
		}
	}
	
	function _ready(){
		new Report('#report', {
			truename: plus.storage.getItem("truename"),
			TlrNo: plus.storage.getItem("myInviteCode")
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery ,document, window)
