(function(m, $, doc, win){		
	m.init({
		swipeBack: true
	});
	
	function Easy(){
		this.init.apply(this, arguments);
	}
	
	Easy.prototype = {
		init: function(el, options){
			this.el = $(el);
			this.options = {};
			
			this.update(options);
			this.render();
			
			this.getCards();
			
			$.bs.getSrandNumber('', function(ranKey){
				var srandNumber = ranKey;
					
				$('.pwKeyboard').pwKeyboard({srandNumber: srandNumber});
			});
		},
		update: function(options){
			this.options = $.extend(this.options, options);
		},
		render: function(){
			$('#merCode').text(this.options.merCode);
			$('#orderAmt').text(this.options.orderAmt);
			$('#merName').text(this.options.merName);
			$('#goodsName').text(this.options.goodsName);
			
			if(this.options.title){
				$('#headerTitle').text(this.options.title);
			}
			
			this.el.removeClass('mui-hidden');
		},
		getCards: function(){
			var _this = this;
			
			this.cardsPicker = new mui.PopPicker();
			
			$.bs.getBankCards({}, 'selectBoundCard4Mb.do', function(res){
				_this.cardsPicker.setData(res);
				_this.selectedCard = res[0].value ;
				$('#selectedCard').text(res[0].text);
			})
		},
		choiceCard: function(){
			var _this = this;
			
			this.cardsPicker.show(function(items) {
				_this.selectedCard = items[0].value;
				$('#selectedCard').text(items[0].text);
			});
		},
		sendSMS: function(){
			if($('#sendSMSBtn').hasClass('disabled')){
				return 
			}
			
			
			$('#sendSMSBtn').countdown('start');
								
			var mobileNo = plus.storage.getItem('phone');
			//var mobileNo = '18600853345';
			
			$.bs.ajax({
				url: ut.netPayUrl + 'sendSMSCodeCommon.do',
				data: {
					"memberUUID": plus.storage.getItem("memberUUID"),
					"APP_UUID": plus.device.uuid,
					"customerId": plus.storage.getItem("memberInfoId"),
			   		"tranCode": "NP101006",
					"messageType": "payCheckSMS",
					"mobileNo": mobileNo
						
				},
				processResponse: function(res){
						
				},
				selfdefineFailed: function(res){
					$('#sendSMSBtn').countdown('end');
				}
			});
		},
		sendData: function(){
			var _this = this;
				
			var data = {
				'merCode': this.options.merCode,
				'orderNo': this.options.orderNo,
				'cardNo': this.selectedCard,
				'transAmt': this.options.orderAmt,
				'SMSCode': $('#SMSCode').val(),
				'payPassword': $('#Pwd').attr('pass'),
				'customerId': plus.storage.getItem("memberInfoId"),
				'memberUUID': plus.storage.getItem("memberUUID"),
				'APP_UUID': plus.device.uuid
			};
				
			$.bs.ajax({
				url: ut.netPayUrl + 'ysxPayOrderMb.do',
				data: data,
				processResponse: function(res){
					var data = {
						targetUrl: res.callbackUrl
					};
					
					$.bs.openWindowByLoad(
						"eSchool.html",
						"eSchool",
						"pop-in", 
						data
					);
				},
				wait: true
			});
		}
	}
	
	function _ready(){
		var ws = '';
		
		ws=plus.webview.currentWebview();
		
		var data = {
			merCode: ws.merCode || '编号',
			orderNo: ws.orderNo || '订单号',
			orderAmt: ws.orderAmt || '金额',
			merName: ws.merName || '商户名',
			goodsName: ws.goodsName || '商品名'
		}
		
		var easy = new Easy('#easy', data);
		
		$('#choiceCardBtn').on('tap', function(){
			easy.choiceCard();
		});
		
		$('#sendSMSBtn').on('tap', function(){
			easy.sendSMS();
		});
		
		$('#pay').on('tap', function(){
			easy.sendData();
		});
	}
	
	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery, document, window)