(function(m, $){
	function isRegistered(options){
		var data = {
			'phone': options.val,
			'branchId':'601000',
			"memberUUID": plus.storage.getItem("memberUUID"),
			"APP_UUID": plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.emallUrl+'FrontMemberInfo_checkIsAppSamePhone',
			data: data,
			processResponse: function(res){
				if (
					res.errorCode === "000001" ||
					res.errorCode ==='000002'
				) {
					mui.alert("该手机号码已注册,请直接登录!");
				} else {
					if(options.func != undefined){
						options.func()
					}
				}
			}
		});
	}
	
	function sendSMSCode(options){
		$('#sendSMSBtn').countdown('start');
		
		var data = {
			"mobileNo": options.val,
			"tranCode": "NP101001",
			"messageType": "mobileRegist",
			"memberUUID": plus.storage.getItem("memberUUID"),
			"APP_UUID": plus.device.uuid
		};
		
		$.bs.ajax({
			url: ut.netPayUrl+'sendSmsCode.do',
			data: data,
			processResponse: function(res){
				
			},
			selfdefineFailed: function(res){
				$('#sendSMSBtn').countdown('end');
			}
		});
	}
	
	function sendData(){
		var data = {
			'phone': $('#phone').val(),
			'mobilePhoneCode': $('#SMSCode').val(),//验证码
			'branchId':'601000',
			'inviteCode': $('#inviteCode').val(),//邀请码
			"memberUUID": plus.storage.getItem("memberUUID"),
			"APP_UUID": plus.device.uuid
		};
			
		data.password = $('#register').attr('pass') ;
		
		$.bs.ajax({
			url: ut.emallUrl+'FrontMemberInfo_appInsert',
			data: data,
			processResponse: function(res){
				if(res.errorCode === '00'){
					plus.storage.setItem('phone',res.phone);
					$.bs.openWindowByLoad("regeditSuccess.html", "regeditSuccess", "pop-in", {}); 
				}else if(res.errorCode=='15'){
					mui.alert("请检查验证码是否输入正确");
				}else if(res.errorCode=="13"){
					mui.alert("邀请码不存在");
				}else{
					mui.alert('注册失败，如有疑问请致电咨询96518','温馨提示');
				}
			}
		})
	}
	
	function _ready(){
		var ws = plus.webview.currentWebview();
		var opener = ws.opener();
		
		$('#phone').validator();
		$('#SMSCode').validator();
		$('#inviteCode').validator();
		
		var srandNumber = localStorage.srandNumber;
		
		$('.pwKeyboard').pwKeyboard({
			srandNumber: srandNumber,
			isNumber: 'false',
			maxLength: 20,
			regEx: "^(?![0-9]+$)(?![a-zA-Z]+$)(?![^A-Za-z0-9]+$)[\\S]{6,20}"
		});
		
		$('#agreement').on('tap', function(){
			$.bs.openWindowByLoad(
				"../agreement/agr_life.html",
				"agr_life",
				"pop-in", {
			});
		});
		
		$('#phone').on('blur', function(){
			if(!$('#phone').data('bs.validator').check().passed){
				return false;
			}
			
			var val = $.trim($(this).val());
			
			var options = {
				val: val
			}
			
			isRegistered(options);
		});
		
		$('#sendSMSBtn').on('tap', function(){
			if(!$('#phone').data('bs.validator').check().passed){
				return false;
			}
			
			var val = $.trim($('#phone').val());
			
			isRegistered({
				'val': val,
				'func': function(){
					 sendSMSCode({
					 	'val': val
					 })
				}
			});
		});
		
		$('#sendData').on('tap', function(){
			if(!$('#phone').data('bs.validator').check().passed){
				return false;
			}
			if(!$('#SMSCode').data('bs.validator').check().passed){
				return false;
			}
			
			var kb1 = plus.pluginPGKeyboard.checkMatch('Pwd');//密码的正则
			var kb2 = plus.pluginPGKeyboard.checkMatch('confirmPwd');//确认密码的正则
			
			var kb1Md5 = $('#register').attr('md5');//密码的MD5值
			var kb2Md5 = $('#register1').attr('md5');//确认密码的MD5值
			
			if(!kb1){
				mui.alert("请输入6-20位字母和数字组合");
				return false;
			}
			
			if(!kb2){
				mui.alert("请输入6-20位字母和数字组合");
				return false;
			}
					
			if(kb1Md5 != kb2Md5){
				mui.alert("两次输入不一致，请重新检查");
				return false;
			}
			
			
			if(!$('#inviteCode').data('bs.validator').check().passed){
				return false;
			}
			
			if(!$('#checkbox_agree').is(':checked')){
				mui.alert('请阅读协议')
				return false;
			}
			
			sendData();
		});
		
		var old_back = mui.back;
		
		mui.back = function(){
			old_back();
		};
	};
	//初始化页面	

	if(m.os.plus){
		m.plusReady(_ready);
	}else{
		m.ready(_ready);
	}
})(mui, jQuery);