(function() {
	window.yu = {};
	window.yu.callproxy = {

		/**
		 * 当前索引
		 */
		_index: 0,

		/**
		 * 最大索引
		 */
		_maxIndex: 500,

		/**
		 * 生成索引
		 * @private
		 */
		_generateIndex: function() {
			var index = ++this._index;
			if(this._index >= this._maxIndex) {
				this._index = 0;
			}
			return String(index);
		},

		/**
		 * 注册全局回调函数
		 *
		 * @param func
		 * @param endFunc
		 */
		register: function(func, endFunc) {
			//初始化空间
			if(yu._sys_callback == undefined) {
				yu._sys_callback = {}
			}
			//获取索引
			var i = callproxy._generateIndex();

			if(endFunc) {
				//保存函数
				yu._sys_callback[i] = function(code, message, data) {
					//调用函数
					func(code, message, data);

					if(endFunc(code, message, data) === true) {
						//移除函数
						delete yu._sys_callback[i];
					}

				}
			} else {
				//保存函数
				yu._sys_callback[i] = function(code, message, data) {
					//移除函数
					delete yu._sys_callback[i];
					//调用函数
					func(code, message, data);
				}
			}
			//生产方法
			var s = "window.yu._sys_callback['" + i + "']";
			return s;
		}
	};
	window.callproxy = window.yu.callproxy;

})();

(function(yu, window, factory) {

	//获取对象
	var exports = factory(yu, yu.callproxy);
	//安装插件
	window.yu.EventListener = exports;

}(yu, window, function(yu, callproxy) {

	var funcNative = function() {
		yu.EventListener = {};
		yu.EventListener.create = function(argObj) {

			var listenerType = argObj.event;
			var listener = null;
			if(listenerType === yu.Event.PUSHMESSAGE) { //推送事件

				var callbackName = "";
				var callback = function(code, message, data) {

					alert(data);

					var datajson = null;
					if(data) {

						datajson = JSON.parse(data);

						if(datajson) {
							var messageType = datajson.messagetype;
							var msgData = datajson.messagedata;

							var eventpush = {
								getMessage: function() {
									return msgData;
								},
								getMessageType: function() {
									return messageType
								}
							};
							datajson = eventpush;
						}
						//统一处理一下payload
						if(msgData.payload) {

							if(typeof msgData.payload == "string") {
								msgData.payload = JSON.parse(msgData.payload);

							}
						}
						// alert(datajson);
						if(argObj.callback) {
							argObj.callback(datajson);
						}
					}
				}

				if(callback) {
					callbackName = callproxy.register(callback, function() {
						return false;
					}); //推送函数执行完不移除
				}

				listener = _FOX_PROXY_EVENTDISPATCHER.createPushEventListner(callbackName);
			} else {

			}

			return listener;
		};

		return yu.EventListener;

	}

	return funcNative();

}));
//Event Class
(function(yu, window, factory) {

	//获取对象
	var exports = factory(yu, yu.callproxy);
	//安装插件

	window.yu.Event = exports;

}(yu, window, function(yu, callproxy) {

	var funcNative = function() {
		yu.Event = {
			CUSTOM: 6, //自定义事件
			PUSHMESSAGE: 7 //推送事件
		};

		yu.EventPush = {};
		yu.EventCustom = {};
		yu.EventCustom.create = function(eventName) {
			return _FOX_PROXY_EVENTDISPATCHER.createEventCustom(eventName);
		}

		return yu.Event;

	}

	return funcNative();

}));
//EventManager Class
(function(yu, window, factory) {

	//获取对象
	var exports = factory(yu, yu.callproxy);
	//安装插件
	window.yu.EventManager = exports;

}(yu, window, function(yu, callproxy) {

	/*监听管理器*/
	var funcNative = function() {
		yu.EventManager = {};

		yu.EventManager.addListener = function(listener, priority) {

			_FOX_PROXY_EVENTDISPATCHER.addEventListenerWithFixedPriority(listener, priority);
		};
		yu.EventManager.dispatchEvent = function(event) {
			_FOX_PROXY_EVENTDISPATCHER.dispatchEvent(event);
		}
		yu.EventManager.removeListener = function(listener) {

			_FOX_PROXY_EVENTDISPATCHER.removeListener(listener);
		}
		return yu.EventManager;
	}

	return funcNative();

}));
(function() {

	// 推送
	window._FOX_PROXY_EVENTDISPATCHER = {};
	// 创建推送 监听者
	_FOX_PROXY_EVENTDISPATCHER.createPushEventListner = function(callbackName) {
		var data = {
			callback: callbackName,
			action: "createPushEventListner"
		};
		data = JSON.stringify(data);

		var response = window.plus.pluginAliPush.notificate(data);
		

		if(typeof response === "string") {
			return(response);
		}
		return null;
	};

	//注册监听者
	_FOX_PROXY_EVENTDISPATCHER.addEventListenerWithFixedPriority = function(listener, priority) {
		var data = {

			listener: listener,
			priority: priority,

			action: "addEventListenerWithFixedPriority"
		};
		data = JSON.stringify(data);
		
		var response = window.plus.pluginAliPush.notificate(data);
		
		if(typeof response === "string") {
			return(response);
		}
		return null;
	};

	//移除监听者
	_FOX_PROXY_EVENTDISPATCHER.removeListener = function(listener) {
		var data = {

			listener: listener,

			action: "removeListener"
		};
		data = JSON.stringify(data);

		var response = window.plus.pluginAliPush.notificate(data);

		if(typeof response === "string") {
			return(response);
		}
		return null;
	};

})();